/**********************************************************************/
/* The Minstrel's Song is (c) 1998 by Jonathan Hayward.  See the file */
/* lib/copyrigh.txt for a copyright and license statement.            */
/**********************************************************************/

#include "tms.h"

struct establishment_info_struct establishment_info[NUM_ESTABLISHMENT_ITEMS] =
    {
    { ED_ANTIPASTA, ST_ANTIPASTA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 4L*SI },
    { ED_AN_APPLE, ST_AN_APPLE, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 50, 4L*CU },
    { ED_BACON, ST_BACON, ESTABLISHMENT_TUZ_RESTAURANT|ESTABLISHMENT_FOOD, 30,
      4L*SI },
    { ED_BEAN_SALAD, ST_BEAN_SALAD, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 2L*SI },
    { ED_BEANS, ST_BEANS, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_FOOD, 35, 1L*SI },
    { ED_BEAR_CURRY, ST_BEAR_CURRY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 25, 1L*AU },
    { ED_BEAR_JERKY, ST_BEAR_JERKY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_FOOD, 75, 1L*EL },
    { ED_BEEF_BARLEY_SOUP, ST_BEEF_BARLEY_SOUP, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD|
      ESTABLISHMENT_QUENCH_THIRST, 50, 2L*SI },
    { ED_BEEF_BARLEY_STEW, ST_BEEF_BARLEY_STEW, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 1L*EL },
    { ED_BEEF_JERKY, ST_BEEF_JERKY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 50, 3L*SI },
    { ED_BEEF_NOODLE_SOUP, ST_BEEF_NOODLE_SOUP,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD|ESTABLISHMENT_QUENCH_THIRST, 25, 4L*SI },
    { ED_BEEF_STEW, ST_BEEF_STEW, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_FOOD, 60, 1L*AU },
    { ED_BISCUITS, ST_BISCUITS, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_TUZ_RESTAURANT|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 60, 2L*SI },
    { ED_A_BOLOGNA_SANDWICH, ST_A_BOLOGNA_SANDWICH,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 40, 4L * SI
      },
    { ED_BRAISED_CABBAGE, ST_BRAISED_CABBAGE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 1L * SI
      },
    { ED_BREAD, ST_BREAD,
      ESTABLISHMENT_JEC_RESTAURANT|ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 70, 1L * SI },
    { ED_BREAD_AND_CHUTNEY, ST_BREAD_AND_CHUTNEY,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT| ESTABLISHMENT_FOOD, 30, 4L * SI
      },
    { ED_BREADED_RABBIT, ST_BREADED_RABBIT,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT| ESTABLISHMENT_FOOD, 40, 6L * SI
      },
    { ED_CAMEMBERT, ST_CAMEMBERT, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 2L * SI },
    { ED_CAVIAR, ST_CAVIAR, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_FOOD, 20, 5L * AU },
    { ED_CHEESE_MEDLEY, ST_CHEESE_MEDLEY,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 70, 5L * SI },
    { ED_CHICKEN, ST_CHICKEN, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_FOOD, 50, 4L * SI },
    { ED_CHICKEN_CACCIATORE, ST_CHICKEN_CACCIATORE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 1L * AU
      },
    { ED_CHICKEN_GUMBO, ST_CHICKEN_GUMBO, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 6L * SI
      },
    { ED_CHOCOLATE, ST_CHOCOLATE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_FOOD|
      ESTABLISHMENT_CAFFEINE, 50, 1L * AU },
    { ED_CIOPPINO, ST_CIOPPINO, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 4L * SI },
    { ED_A_COCONUT, ST_A_COCONUT, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 40, 1L * SI },
    { ED_CORNED_BEEF_AND_CABBAGE, ST_CORNED_BEEF_AND_CABBAGE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 1L * EL
      },
    { ED_CRAB, ST_CRAB, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 50, 1L * EL
      },
    { ED_CRAB_SALAD, ST_CRAB_SALAD, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 1L * AU },
    { ED_A_CUCUMBER, ST_A_CUCUMBER, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT, 30, 1L * SI },
    { ED_CURED_APRICOTS, ST_CURED_APRICOTS,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 20, 2L * SI },
    { ED_DRAGON_STEAK, ST_DRAGON_STEAK, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 10, 2L * AU },
    { ED_DRIED_PEACHES, ST_DRIED_PEACHES,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 3L * SI },
    { ED_ESCARGOT, ST_ESCARGOT, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 2L * AU },
    { ED_FETTUCCINE_ALFREDO, ST_FETTUCCINE_ALFREDO,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 40, 4L * SI
      },
    { ED_FISH_CURRY, ST_FISH_CURRY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 20, 4L * SI },
    { ED_FISH_HEAD_CURRY, ST_FISH_HEAD_CURRY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 15, 5L * SI },
    { ED_FRIED_CLAMS, ST_FRIED_CLAMS,
      ESTABLISHMENT_TUZ_RESTAURANT|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 1L * AU },
    { ED_FRIED_RICE, ST_FRIED_RICE,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 70, 3L * SI },
    { ED_FRITTATA, ST_FRITTATA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 40, 6L * SI },
    { ED_FRUIT_SALAD, ST_FRUIT_SALAD, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 40, 4L * SI },
    { ED_GOAT_CHEESE, ST_GOAT_CHEESE, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_FOOD, 30, 3L * SI },
    { ED_GOAT_CURRY, ST_GOAT_CURRY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 25, 1L * AU },
    { ED_GOAT_KID, ST_GOAT_KID, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 20, 1L * AU },
    { ED_GRAPES, ST_GRAPES, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 50, 1L * SI },
    { ED_GUAVA, ST_GUAVA, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 50, 3L * SI },
    { ED_GUAVA_PUREE, ST_GUAVA_PUREE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 10, 1L * EL },
    { ED_HERBAL_SOUP, ST_HERBAL_SOUP, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD|ESTABLISHMENT_QUENCH_THIRST, 50, 2L * SI },
    { ED_LASAGNA, ST_LASAGNA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 70, 4L * SI },
    { ED_LEEK_SOUP, ST_LEEK_SOUP, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD|ESTABLISHMENT_QUENCH_THIRST, 30, 2L * SI },
    { ED_LENTIL_SOUP, ST_LENTIL_SOUP, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD|
      ESTABLISHMENT_QUENCH_THIRST, 40, 2L * SI },
    { ED_LETTUCE_SALAD, ST_LETTUCE_SALAD,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 60, 1L * SI },
    { ED_LOBSTER, ST_LOBSTER, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 10, 5L * AU },
    { ED_A_MANGO, ST_A_MANGO, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 35, 3L * SI },
    { ED_MANGO_CURRY, ST_MANGO_CURRY, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 25, 5L * SI },
    { ED_MEAT_AND_POTATOES, ST_MEAT_AND_POTATOES, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_TUZ_RESTAURANT|ESTABLISHMENT_FOOD, 2L * SI },
    { ED_MINESTRONE, ST_MINESTRONE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 3L * SI },
    { ED_MOSTACCIOLI, ST_MOSTACCIOLI, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 6L * SI },
    { ED_MUTTON, ST_MUTTON, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 6L * SI },
    { ED_MUTTON_CURRY, ST_MUTTON_CURRY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 1L * AU },
    { ED_A_NECTARINE, ST_A_NECTARINE, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 5L * SI },
    { ED_AN_ORANGE, ST_AN_ORANGE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 40, 4L * SI },
    { ED_ORANGE_TANGERINE_NECTARINE_SALAD, ST_ORANGE_TANGERINE_NECTARINE_SALAD,
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 20, 5L * SI },
    { ED_A_PARTRIDGE, ST_A_PARTRIDGE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 2L * AU },
    { ED_A_PEACH, ST_A_PEACH, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 30, 4L * SI },
    { ED_PEACH_PIE, ST_PEACH_PIE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 6L * SI },
    { ED_A_PEAR, ST_A_PEAR, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 2L * SI },
    { ED_PEAR_SAUCE_WITH_RAISINS, ST_PEAR_SAUCE_WITH_RAISINS,
      ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 5L * SI },
    { ED_PEARS, ST_PEARS, ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD,
      20, 6L * SI },
    { ED_PEELED_APPLES, ST_PEELED_APPLES,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 20, 4L * SI },
    { ED_PEPPER_CHEESE, ST_PEPPER_CHEESE, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FIREBREATHER|
      ESTABLISHMENT_FOOD, 20, 5L * SI },
    { ED_PINEAPPLE, ST_PINEAPPLE, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 50, 2L * SI },
    { ED_PLUM_PIE, ST_PLUM_PIE, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 10, 1L * AU },
    { ED_PLUMS, ST_PLUMS, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 4L * SI },
    { ED_PORK_SIRLOIN, ST_PORK_SIRLOIN, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 20, 1L * AU },
    { ED_POTATOES, ST_POTATOES,
      ESTABLISHMENT_JEC_RESTAURANT|ESTABLISHMENT_FOOD, 70, 1L * SI },
    { ED_RAVIOLI, ST_RAVIOLI, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 1L * EL },
    { ED_A_REUBEN, ST_A_REUBEN, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_FOOD, 50, 1L * AU },
    { ED_RICE, ST_RICE, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 70, 1L * SI },
    { ED_RICE_WITH_TOMATOES, ST_RICE_WITH_TOMATOES,
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 35, 3L * SI },
    { ED_ROAST_APPLE, ST_ROAST_APPLE, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 25, 3L * SI },
    { ED_ROAST_BOAR, ST_ROAST_BOAR, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 35, 2L * AU
      },
    { ED_ROAST_FISH, ST_ROAST_FISH, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_FOOD, 50, 2L * SI },
    { ED_ROAST_PEANUTS, ST_ROAST_PEANUTS,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_FOOD, 30, 1L * SI },
    { ED_ROAST_RABBIT, ST_ROAST_RABBIT,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 40, 6L * SI
      },
    { ED_ROAST_VENISON, ST_ROAST_VENISON, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 40, 2L * AU
      },
    { ED_RUM_CAKES, ST_RUM_CAKES, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_FOOD, 50,
      4L * SI },
    { ED_RYE_BREAD, ST_RYE_BREAD, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 2L * SI },
    { ED_SALAMI, ST_SALAMI, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 35, 1L * EL },
    { ED_SHARP_CHEDDAR, ST_SHARP_CHEDDAR,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 35, 2L * SI },
    { ED_SOUP, ST_SOUP, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_FOOD|ESTABLISHMENT_QUENCH_THIRST,
      60, 3L * SI },
    { ED_SPAGHETTI, ST_SPAGHETTI, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 80, 4L * SI },
    { ED_SPLIT_PEA_SOUP, ST_SPLIT_PEA_SOUP, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 3L * SI },
    { ED_SQUASH, ST_SQUASH, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 50, 2L * SI },
    { ED_STEAK_AND_BISCUITS, ST_STEAK_AND_BISCUITS,
      ESTABLISHMENT_JEC_RESTAURANT|ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 40, 1L * AU },
    { ED_STRAWBERRIES, ST_STRAWBERRIES, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 40, 2L * SI },
    { ED_STRAWBERRY_PIE, ST_STRAWBERRY_PIE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 4L * SI
      },
    { ED_SUGAR_CANE, ST_SUGAR_CANE, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_FOOD, 50, 1L * SI },
    { ED_A_TANGERINE, ST_A_TANGERINE, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 15, 2L * SI },
    { ED_A_TUNA_MELT, ST_A_TUNA_MELT, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 6L * SI },
    { ED_TUNA_STEAK, ST_TUNA_STEAK, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_FOOD, 20, 1L * EL },
    { ED_VEGETABLE_STEW, ST_VEGETABLE_STEW, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_FOOD, 80, 4L * SI },
    { ED_VENISON, ST_VENISON, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|ESTABLISHMENT_FOOD, 30, 1L * AU
      },
    { ED_VENISON_JERKY, ST_VENISON_JERKY, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_FOOD, 30, 1L * AU },
    { ED_WHEAT_BREAD, ST_WHEAT_BREAD, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_FOOD, 50, 2L * SI },
    { ED_ALE_JEC, ST_ALE_JEC, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 30, 3L * SI },
    { ED_ALE_SHAL, ST_ALE_SHAL, ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 3L * SI },
    { ED_ALE_TUZ, ST_ALE_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 50, 5L * SI },
    { ED_APPLE_CIDER_SHAL, ST_APPLE_CIDER_SHAL, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 70, 2L * SI },
    { ED_APPLE_CIDER_URVANOVESTILLI, ST_APPLE_CIDER_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 2L * SI },
    { ED_APPLE_JUICE, ST_APPLE_JUICE, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 30, 1L *
      SI },
    { ED_APPLE_WINE_YEDIDIA, ST_APPLE_WINE_YEDIDIA,
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_BERRY_TEA, ST_BERRY_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 40, 3L * SI },
    { ED_BLUEBERRY_WINE_YEDIDIA, ST_BLUEBERRY_WINE_YEDIDIA,
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 2L * AU },
    { ED_CAPPUCINO_COFFEE, ST_CAPPUCINO_COFFEE,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_CAFFEINE|
      ESTABLISHMENT_QUENCH_THIRST| ESTABLISHMENT_WARM_UP, 50, 1L * EL },
    { ED_CHERRY_CORDIAL_URVANOVESTILLI, ST_CHERRY_CORDIAL_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 20, 1L * AU },
    { ED_COFISA_TEA, ST_COFISA_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_COFISA_TEA|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 40, 1L * AU },
    { ED_COOL_MOCHA_COFFEE, ST_COOL_MOCHA_COFFEE,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_CAFFEINE, 20, 1L * EL },
    { ED_DANDELION_WINE_YEDIDIA, ST_DANDELION_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_ALCOHOL, 20, 1L * EL },
    { ED_ESPRESSO_COFFEE, ST_ESPRESSO_COFFEE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_CAFFEINE, 70, 2L * SI },
    { ED_EXTRA_STOUT_TUZ, ST_EXTRA_STOUT_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 50, 1L * AU },
    { ED_GINGER_BEER, ST_GINGER_BEER, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 30, 2L * SI },
    { ED_GIN_URVANOVESTILLI, ST_GIN_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 30, 1L * EL },
    { ED_GOAT_MILK, ST_GOAT_MILK, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_TUZ_RESTAURANT|ESTABLISHMENT_QUENCH_THIRST, 30, 3L * SI },
    { ED_GREEN_WINE_URVANOVESTILLI_MISTRELLI,
      ST_GREEN_WINE_URVANOVESTILLI_MISTRELLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 20, 2L * AU },
    { ED_GROG_TUZ, ST_GROG_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_ALCOHOL, 30, 2L * SI },
    { ED_GUAVA_CIDER_YEDIDIA, ST_GUAVA_CIDER_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST,
      20, 5L * SI },
    { ED_GUAVA_WINE_YEDIDIA, ST_GUAVA_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST,
      10, 1L * AU },
    { ED_HELSRIANA_TEA, ST_HELSRIANA_TEA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_HELSRIANA_TEA|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP, 60, 3L * SI },
    { ED_HELSRIANA_TEA_SPICED, ST_HELSRIANA_TEA_SPICED,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_HELSRIANA_TEA|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 40, 4L * SI },
    { ED_HOT_TODDY_URVANOVESTILLI, ST_HOT_TODDY_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_WARM_UP, 30, 1L * AU },
    { ED_HOUSE_RED_WINE, ST_HOUSE_RED_WINE, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 90, 1L * EL },
    { ED_HOUSE_WHITE_WINE, ST_HOUSE_WHITE_WINE, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 80, 1L * EL },
    { ED_KHOOR_TUZ, ST_KHOOR_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_FIREBREATHER, 90, 1L * AU },
    { ED_KIWI_JUICE, ST_KIWI_JUICE, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 30, 1L * SI },
    { ED_KIWI_WINE_YEDIDIA, ST_KIWI_WINE_YEDIDIA, ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_KONSILA_TEA, ST_KONSILA_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST| ESTABLISHMENT_WARM_UP, 40, 2L * SI },
    { ED_LAGER_JEC, ST_LAGER_JEC, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 50, 2L * SI },
    { ED_LAGER_URVANOVESTILLI, ST_LAGER_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * EL },
    { ED_LAGER_YEDIDIA, ST_LAGER_YEDIDIA, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 40, 3L * SI },
    { ED_LEMON_TEA, ST_LEMON_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 30, 1L * SI },
    { ED_LEMON_WINE_YEDIDIA, ST_LEMON_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_MAPLE_SYRUP_WINE_YEDIDIA, ST_MAPLE_SYRUP_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_MEAD_JEC, ST_MEAD_JEC, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_ALCOHOL, 20, 1L * EL },
    { ED_MEAD_SHAL, ST_MEAD_SHAL, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 40, 1L * EL },
    { ED_MEAD_URVANOVESTILLI, ST_MEAD_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_MEAD_YEDIDIA, ST_MEAD_YEDIDIA, ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 50, 1L * AU },
    { ED_MILK, ST_MILK, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 50, 2L * SI },
    { ED_MINT_ESPRESSO_COFFEE, ST_MINT_ESPRESSO_COFFEE,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_CAFFEINE|ESTABLISHMENT_WARM_UP, 30, 1L * AU },
    { ED_MINT_TEA, ST_MINT_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP, 40, 2L * SI },
    { ED_MOCHA_COFFEE, ST_MOCHA_COFFEE, ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_CAFFEINE|ESTABLISHMENT_WARM_UP,
      30, 3L * SI },
    { ED_NECTARINE_WINE_YEDIDIA, ST_NECTARINE_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 2L * AU },
    { ED_OATMEAL_STOUT_TUZ, ST_OATMEAL_STOUT_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_ORANGE_JUICE, ST_ORANGE_JUICE, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 40, 2L * SI },
    { ED_ORANGE_WINE_YEDIDIA, ST_ORANGE_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * AU },
    { ED_PEACH_WINE_YEDIDIA, ST_PEACH_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 15, 1L * AU },
    { ED_PEAR_CIDER_SHAL, ST_PEAR_CIDER_SHAL, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 40, 2L * SI },
    { ED_PEAR_CIDER_URVANOVESTILLI, ST_PEAR_CIDER_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_PEAR_CIDER_YEDIDIA, ST_PEAR_CIDER_YEDIDIA, 
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_ALCOHOL, 40, 1L * EL },
    { ED_PEAR_JUICE, ST_PEAR_JUICE, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 30, 2L * SI },
    { ED_PEAR_LIQUEUR_URVANOVESTILLI, ST_PEAR_LIQUEUR_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 20, 1L * AU },
    { ED_PEAR_WINE_YEDIDIA, ST_PEAR_WINE_YEDIDIA, ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_PORTER_TUZ, ST_PORTER_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_PORTER_URVANOVESTILLI, ST_PORTER_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_PORTER_YEDIDIA, ST_PORTER_YEDIDIA, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_PORTO_URVANOVESTILLI, ST_PORTO_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 40, 1L * AU },
    { ED_RASPBERRY_WINE_YEDIDIA, ST_RASPBERRY_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 40, 1L * EL },
    { ED_RED_WINE_JEC_HISH, ST_RED_WINE_JEC_HISH,
      ESTABLISHMENT_JEC_RESTAURANT|ESTABLISHMENT_JEC_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * EL },
    { ED_RED_WINE_JEC_HOS, ST_RED_WINE_JEC_HOS, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 15, 1L * EL },
    { ED_RED_WINE_JEC_KANS, ST_RED_WINE_JEC_KANS, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_RED_WINE_JEC_LUT, ST_RED_WINE_JEC_LUT, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 25, 1L * EL },
    { ED_RED_WINE_JEC_MILN, ST_RED_WINE_JEC_MILN, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_JEC_NUV, ST_RED_WINE_JEC_NUV, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 15, 1L * EL },
    { ED_RED_WINE_JEC_TOL, ST_RED_WINE_JEC_TOL, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * EL },
    { ED_RED_WINE_JEC_VERN, ST_RED_WINE_JEC_VERN, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 35, 1L * EL },
    { ED_RED_WINE_SHAL_HESRI, ST_RED_WINE_SHAL_HESRI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 45, 1L * AU },
    { ED_RED_WINE_SHAL_INGSA, ST_RED_WINE_SHAL_INGSA,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_SHAL_KASSILLA, ST_RED_WINE_SHAL_KASSILLA,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_SHAL_LITRI, ST_RED_WINE_SHAL_LITRI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_RED_WINE_SHAL_MACEP, ST_RED_WINE_SHAL_MACEP,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_SHAL_NOLDI, ST_RED_WINE_SHAL_NOLDI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_SHAL_SALN, ST_RED_WINE_SHAL_SALN,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_SHAL_SIF, ST_RED_WINE_SHAL_SIF,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_CANSOMILTRAMA,
      ST_RED_WINE_URVANOVESTILLI_CANSOMILTRAMA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 45, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_CAPITELLO,
      ST_RED_WINE_URVANOVESTILLI_CAPITELLO,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 50, 2L * AU },
    { ED_RED_WINE_URVANOVESTILLI_ELHANNADAN,
      ST_RED_WINE_URVANOVESTILLI_ELHANNADAN,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_ELIRE, ST_RED_WINE_URVANOVESTILLI_ELIRE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_ELMIRTRA,
      ST_RED_WINE_URVANOVESTILLI_ELMIRTRA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_KILNATRONA,
      ST_RED_WINE_URVANOVESTILLI_KILNATRONA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_MISTRELLI,
      ST_RED_WINE_URVANOVESTILLI_MISTRELLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_SANDRELLA,
      ST_RED_WINE_URVANOVESTILLI_SANDRELLA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 20, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_STANDRILNATRELLA,
      ST_RED_WINE_URVANOVESTILLI_STANDRILNATRELLA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 50, 1L * AU },
    { ED_RED_WINE_URVANOVESTILLI_TALMINDATRII,
      ST_RED_WINE_URVANOVESTILLI_TALMINDATRII,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_YEDIDIA_DOSSE, ST_RED_WINE_YEDIDIA_DOSSE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_YEDIDIA_EHOLINA, ST_RED_WINE_YEDIDIA_EHOLINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_YEDIDIA_FILTRI, ST_RED_WINE_YEDIDIA_FILTRI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_YEDIDIA_FISRATIL, ST_RED_WINE_YEDIDIA_FISRATIL,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_YEDIDIA_FISSK, ST_RED_WINE_YEDIDIA_FISSK,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_RED_WINE_YEDIDIA_SALINA, ST_RED_WINE_YEDIDIA_SALINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_YEDIDIA_SANLI, ST_RED_WINE_YEDIDIA_SANLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_YEDIDIA_SILNA, ST_RED_WINE_YEDIDIA_SILNA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_RED_WINE_YEDIDIA_VASLI, ST_RED_WINE_YEDIDIA_VASLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 25, 1L * AU },
    { ED_ROOT_BEER, ST_ROOT_BEER, ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 30, 2L * SI },
    { ED_ROSE_WINE_URVANOVESTILLI_ELIRE, ST_ROSE_WINE_URVANOVESTILLI_ELIRE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 2L * AU },
    { ED_ROSE_WINE_YEDIDIA_DOSSE, ST_ROSE_WINE_YEDIDIA_DOSSE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_EHOLINA, ST_ROSE_WINE_YEDIDIA_EHOLINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_FILTRI, ST_ROSE_WINE_YEDIDIA_FILTRI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_FISRATIL, ST_ROSE_WINE_YEDIDIA_FISRATIL,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_FISSK, ST_ROSE_WINE_YEDIDIA_FISSK,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_SALINA, ST_ROSE_WINE_YEDIDIA_SALINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_SANLI, ST_ROSE_WINE_YEDIDIA_SANLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_SILNA, ST_ROSE_WINE_YEDIDIA_SILNA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_TIRNA, ST_ROSE_WINE_YEDIDIA_TIRNA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 45, 1L * AU },
    { ED_ROSE_WINE_YEDIDIA_VASLI, ST_ROSE_WINE_YEDIDIA_VASLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 15, 1L * AU },
    { ED_RUM_TUZ, ST_RUM_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL, 70, 3L * SI },
    { ED_RUM_URVANOVESTILLI, ST_RUM_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 30, 1L * EL },
    { ED_SHERRY_URVANOVESTILLI, ST_SHERRY_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 30, 1L * AU },
    { ED_SMOKED_BEER_TUZ, ST_SMOKED_BEER_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_SPICED_RUM_TUZ, ST_SPICED_RUM_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL, 50, 1L * AU },
    { ED_SPICED_RUM_URVANOVESTILLI, ST_SPICED_RUM_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 35, 1L * AU },
    { ED_SPICED_RUM_YEDIDIA, ST_SPICED_RUM_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL, 30, 1L * AU },
    { ED_SPICED_WINE_SHAL, ST_SPICED_WINE_SHAL,
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP,
      40, 1L * AU },
    { ED_SPICED_WINE_URVANOVESTILLI, ST_SPICED_WINE_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP, 35, 1L * AU },
    { ED_SPICED_WINE_YEDIDIA, ST_SPICED_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP, 50, 1L * EL },
    { ED_STOUT_TUZ, ST_STOUT_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 100, 1L * AU },
    { ED_STRAWBERRY_CORDIAL_URVANOVESTILLI,
      ST_STRAWBERRY_CORDIAL_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 35, 1L * AU },
    { ED_STRAWBERRY_JUICE, ST_STRAWBERRY_JUICE,
      ESTABLISHMENT_YEDIDIA_RESTAURANT|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * EL },
    { ED_STRAWBERRY_TEA, ST_STRAWBERRY_TEA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 30, 1L * EL },
    { ED_STRAWBERRY_WINE_YEDIDIA, ST_STRAWBERRY_WINE_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_QUENCH_THIRST, 20, 1L * AU },
    { ED_TALINOR_TEA, ST_TALINOR_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_TALINOR_TEA|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP, 30, 1L * AU },
    { ED_TEQUILA_TUZ, ST_TEQUILA_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_ALCOHOL, 20, 1L * AU },
    { ED_TEQUILA_URVANOVESTILLI, ST_TEQUILA_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 20, 1L * AU },
    { ED_TISANE_TEA, ST_TISANE_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_MAKE_SLEEPY|ESTABLISHMENT_WARM_UP, 30, 2L * SI },
    { ED_TUZ_COFFEE, ST_TUZ_COFFEE, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP|
      ESTABLISHMENT_ALCOHOL|ESTABLISHMENT_CAFFEINE, 30, 1L * AU },
    { ED_WASSAIL_JEC, ST_WASSAIL_JEC, ESTABLISHMENT_JEC_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP|ESTABLISHMENT_ALCOHOL, 30, 1L * AU },
    { ED_WASSAIL_SHAL, ST_WASSAIL_SHAL, ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP|ESTABLISHMENT_ALCOHOL,
      40, 1L * EL },
    { ED_WASSAIL_TUZ, ST_WASSAIL_TUZ, ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP|ESTABLISHMENT_ALCOHOL,
      20, 1L * AU },
    { ED_WASSAIL_URVANOVESTILLI, ST_WASSAIL_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP|ESTABLISHMENT_ALCOHOL, 30, 1L * EL },
    { ED_WASSAIL_YEDIDIA, ST_WASSAIL_YEDIDIA,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_QUENCH_THIRST|
      ESTABLISHMENT_WARM_UP|ESTABLISHMENT_ALCOHOL, 40, 1L * EL },
    { ED_WATER, ST_WATER, ESTABLISHMENT_JEC_RESTAURANT|
      ESTABLISHMENT_JEC_TAVERN|ESTABLISHMENT_SHAL_RESTAURANT|
      ESTABLISHMENT_SHAL_TAVERN|ESTABLISHMENT_TUZ_RESTAURANT|
      ESTABLISHMENT_TUZ_TAVERN|ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_QUENCH_THIRST, 100, 1L
      * CU },
    { ED_WHISKEY_JEC, ST_WHISKEY_JEC, ESTABLISHMENT_JEC_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 15, 1L * EL },
    { ED_WHISKEY_URVANOVESTILLI, ST_WHISKEY_URVANOVESTILLI,
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL, 15, 1L * EL },
    { ED_WHITE_WINE_SHAL_HESRI, ST_WHITE_WINE_SHAL_HESRI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 15, 1L * AU },
    { ED_WHITE_WINE_SHAL_INGSA, ST_WHITE_WINE_SHAL_INGSA,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 10, 1L * AU },
    { ED_WHITE_WINE_SHAL_KASSILLA, ST_WHITE_WINE_SHAL_KASSILLA,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 15, 1L * AU },
    { ED_WHITE_WINE_SHAL_LITRI, ST_WHITE_WINE_SHAL_LITRI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 10, 1L * AU },
    { ED_WHITE_WINE_SHAL_MACEP, ST_WHITE_WINE_SHAL_MACEP,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 15, 1L * AU },
    { ED_WHITE_WINE_SHAL_NOLDI, ST_WHITE_WINE_SHAL_NOLDI,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 5, 1L * AU },
    { ED_WHITE_WINE_SHAL_SALN, ST_WHITE_WINE_SHAL_SALN,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 10, 1L * AU },
    { ED_WHITE_WINE_SHAL_SIF, ST_WHITE_WINE_SHAL_SIF,
      ESTABLISHMENT_SHAL_RESTAURANT|ESTABLISHMENT_SHAL_TAVERN|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 5, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_CANSOMILTRAMA, 
      ST_WHITE_WINE_URVANOVESTILLI_CANSOMILTRAMA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_CAPITELLO,
      ST_WHITE_WINE_URVANOVESTILLI_CAPITELLO,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 55, 2L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_ELHANNADAN,
      ST_WHITE_WINE_URVANOVESTILLI_ELHANNADAN,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_ELIRE, ST_WHITE_WINE_URVANOVESTILLI_ELIRE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_ELMIRTRA,
      ST_WHITE_WINE_URVANOVESTILLI_ELMIRTRA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_KILNATRONA,
      ST_WHITE_WINE_URVANOVESTILLI_KILNATRONA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_MISTRELLI,
      ST_WHITE_WINE_URVANOVESTILLI_MISTRELLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_SANDRELLA,
      ST_WHITE_WINE_URVANOVESTILLI_SANDRELLA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_STANDRILNATRELLA,
      ST_WHITE_WINE_URVANOVESTILLI_STANDRILNATRELLA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 50, 1L * AU },
    { ED_WHITE_WINE_URVANOVESTILLI_TALMIRNATRII,
      ST_WHITE_WINE_URVANOVESTILLI_TALMIRNATRII,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_DOSSE, ST_WHITE_WINE_YEDIDIA_DOSSE,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_EHOLINA, ST_WHITE_WINE_YEDIDIA_EHOLINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 35, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_FILTRI, ST_WHITE_WINE_YEDIDIA_FILTRI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_FISRATIL, ST_WHITE_WINE_YEDIDIA_FISRATIL,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 25, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_FISSK, ST_WHITE_WINE_YEDIDIA_FISSK,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 30, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_SALINA, ST_WHITE_WINE_YEDIDIA_SALINA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_SANLI, ST_WHITE_WINE_YEDIDIA_SANLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 45, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_SILNA, ST_WHITE_WINE_YEDIDIA_SILNA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 40, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_TIRNA, ST_WHITE_WINE_YEDIDIA_TIRNA,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 45, 1L * AU },
    { ED_WHITE_WINE_YEDIDIA_VASLI, ST_WHITE_WINE_YEDIDIA_VASLI,
      ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_RESTAURANT|
      ESTABLISHMENT_YEDIDIA_TAVERN|ESTABLISHMENT_ALCOHOL|
      ESTABLISHMENT_QUENCH_THIRST, 25, 1L * AU },
    { ED_YONA_TEA, ST_YONA_TEA, ESTABLISHMENT_URVANOVESTILLI_RESTAURANT|
      ESTABLISHMENT_URVANOVESTILLI_TAVERN|ESTABLISHMENT_YEDIDIA_TAVERN|
      ESTABLISHMENT_QUENCH_THIRST|ESTABLISHMENT_WARM_UP, 35, 1L * AU }
    /* {identity, string, flags, chance, price}, */
    };
