/**********************************************************************/
/* The Minstrel's Song is (c) 1998 by Jonathan Hayward.  See the file */
/* lib/copyrigh.txt for a copyright and license statement.            */
/**********************************************************************/

#include "tms.h"

long racial_base_skills[NUM_SKILLS][NUM_RACES+2] =  /* a switch on the */
    {                   /* order, to be readable */
    {10, 0, 0, 0, 0, 0, 0, -100, ACQUISITION},
    {0, 0, 0, 0, 0, 10, 10, ANATOMY},
    {0, 10, 0, 0, 0, 0, 20, -100, ANIMAL_HANDLING},
    {10, 10, 10, 10, 10, 20, 10, -100, APPRAISAL},
    {0, 0, 10, 0, 0, 0, 0, -100, ATTACK_AXE},
    {0, 0, 0, 0, 10, 0, 0, -100, ATTACK_CROSSBOW},
    {0, 0, 10, 0, 20, 0, 0, -100, ATTACK_DAGGER},
    {0, 0, 0, 0, 0, 0, 0, 30, ATTACK_FIST},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_HALBERD},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_LANCE},
    {0, 0, 20, 0, 0, 0, 0, -100, ATTACK_LONGBOW},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_LONGSWORD},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_MACE},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_RAPIER},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_SHORTSWORD},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_THROW},
    {0, 0, 0, 0, 0, 0, 0, -100, ATTACK_TWO_HANDED_SWORD},
    {10, 0, 0, 20, 0, 0, 10, 30, BLIND_ACTION},
    {0, 0, 0, 0, 0, 10, 10, -100, CHEMISTRY},
    {20, 0, 0, 0, 0, 0, 0, -100, CLIMBING},
    {10, 10, 20, 0, 0, 0, 0, 30, COLD_TOLERANCE},
    {20, 0, 0, 0, 0, 0, 10, 30, DODGE},
    {10, 0, 20, 0, 10, 0, 0, 30, ENDURANCE},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_AXE},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_DAGGER},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_HALBERD},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_LONGSWORD},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_MACE},
    {0, 0, 0, 0, 0, 20, 0, -100, FENCING_RAPIER},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_SHORTSWORD},
    {0, 0, 0, 0, 0, 0, 0, -100, FENCING_TWO_HANDED_SWORD},
    {0, 0, 0, 10, 0, 10, 20, -100, FISHING},
    {0, 0, 0, 0, 0, 10, 20, 0, GEOGRAPHY},
    {0, 0, 0, 0, 0, 0, 0, -100, GUESS_ACTIONS},
    {0, 0, 0, 0, 0, 0, 20, 30, HAGGLING},
    {10, 0, 0, 20, 20, 0, 10, 30, HEAR_NOISES},
    {10, 0, 0, 20, 20, 0, 10, 30, HEAT_TOLERANCE},
    {0, 0, 0, 0, 0, 0, 20, -100, HERBALISM},
    {20, 0, 0, 0, 0, 0, 0, 30, JUMPING},
    {0, 0, 0, 0, 0, 20, 10, 30, KEEN_EYESIGHT},
    {100, 0, 0, 0, 0, 0, 0, -100, LANGUAGE_JANRA},
    {10, 100, 0, 0, 0, 0, 0, -100, LANGUAGE_JEC},
    {10, 0, 100, 0, 0, 0, 0, -100, LANGUAGE_NORKRIN},
    {10, 0, 0, 100, 0, 0, 0, -100, LANGUAGE_SHAL},
    {10, 0, 0, 0, 100, 0, 0, -100, LANGUAGE_TUZ},
    {10, 0, 0, 0, 0, 100, 0, -100, LANGUAGE_URVANOVESTILLI},
    {10, 0, 0, 0, 0, 0, 100, -100, LANGUAGE_YEDIDIA},
    {10, 0, 10, 0, 10, 20, 20, -100, MEDICINE},
    {0, 0, 0, 0, 0, 0, 10, -100, MUSIC_FLUTE},
    {20, 0, 0, 0, 0, 10, 0, -100, MUSIC_HARP},
    {0, 0, 0, 0, 0, 0, 0, -100, MUSIC_LUTE},
    {0, 0, 0, 0, 0, 20, 0, -100, MUSIC_ORGAN},
    {0, 0, 0, 0, 0, 0, 20, -100, MUSIC_SINGING},
    {20, 0, 0, 0, 0, 10, 0, -100, NAVIGATION},
    {0, 0, 0, 0, 0, 0, 20, -100, PERSUASION},
    {20, 0, 0, 0, 0, 0, 0, -100, PICK_LOCKS},
    {-100, -100, -100, -100, -100, 20, -100, -100, READING_WRITING},
    {0, 0, 0, 0, 0, 0, 0, -100, REPAIR},
    {0, 0, 0, 0, 0, 20, 20, -100, RIDING},
    {0, 0, 0, 0, 0, 0, 0, -100, SAILING},
    {0, 0, 0, 0, 0, 0, 20, 30, SEARCH},
    {20, 0, 0, 10, 0, 0, 10, 30, SMELL_CREATURE},
    {20, 0, 10, 10, 10, 0, 15, 30, STEALTH},
    {20, 0, 0, 0, 0, 0, 10, 30, SWIMMING},
    {10, 0, 0, 0, 0, 20, 0, -100, TECHNOLOGY_IDENTIFICATION},
    {0, 0, 0, 0, 0, 20, 0, -100, TINKERING},
    {0, 0, 0, 0, 20, 0, 20, 30, TRACKING},
    {10, 0, 0, 0, 20, 0, 0, 30, WRESTLING}
    };

long racial_attribute_adjustment[NUM_RACES][NUM_ATTRIBUTES] =
    {
    {20, 0, 5, 0, 0, 4, 0, 0, 2, 5, 5, 5},
    {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    {0, 0, 0, 0, 0, 0, 3, 5, 0, 0, 5, 0},
    {0, 0, 0, 0, 0, 2, 0, 0, 0, -5, 0, 0},
    {0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 10, 10},
    {0, 0, 2, 0, 5, 5, 2, 3, 0, 0, -10, 0},
    {0, 0, 5, 0, 0, 3, 0, 0, 10, 0, 0, 0}
    };

long gender_attribute_adjustment[NUM_GENDERS][NUM_ATTRIBUTES] =
    {
    {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0},
    {0, 0, 0, 0, 2, 0, 0, 0, 5, 0, -5, 0},
    {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
    };

long age_attribute_adjustment[NUM_AGE_CLASSES][NUM_ATTRIBUTES] =
    {
    {10, -10, -10, 20, -10, -20, -20, -10, -20, -20, -30, 0},
    {5, 10, 2, 10, 0, -8, 5, 0, 10, 10, -4, 10},
    {5, 5, 0, 5, 5, 0, -4, 0, 5, 5, 5, 5},
    {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    {-4, -4, 0, -4, -4, -3, 5, -3, -4, -4, -4, 5},
    {-10, -10, 0, -10, -10, -5, 5, -8, -10, -10, -10, 10}
    };

long age_class_years[NUM_RACES+1][NUM_AGE_CLASSES] = 
    {
    {0, 15, 50, 90, 110, 120},
    {0, 15, 30, 60, 90, 120},
    {0, 15, 30, 60, 90, 120},
    {0, 50, 200, 600, 800, 1000},
    {0, 15, 25, 40, 50, 60},
    {0, 30, 100, 300, 400, 500},
    {0, 20, 50, 120, 160, 200},
    {0, 3, 10, 15, 17, 20}
    };

struct skill skill_info[NUM_SKILLS] =
    {
    {"acquisition", {0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, ACQUISITION,
      NO_HOSTILE, 24L*HOUR},
    {"anatomy", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, ANATOMY, CONTINUOUS,
      MINUTE},
    {"animal handling", {0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}, 0,
      ANIMAL_HANDLING, GENERALLY_USABLE, 5L*SECOND},
    {"appraisal", {0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0}, 0, APPRAISAL,
      GENERALLY_USABLE, 10L*SECOND},
    {"attack (axe)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_AXE,
      NEEDS_ITEM, 3L*SECOND},
    {"attack (crossbow)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0}, 0,
      ATTACK_CROSSBOW, NEEDS_ITEM, 30L*SECOND},
    {"attack (dagger)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_DAGGER,
      NEEDS_ITEM, 2L*SECOND},
    {"attack (fist)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_FIST, 0,
      SECOND},
    {"attack (halberd)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0,
      ATTACK_HALBERD, NEEDS_ITEM, 8L*SECOND},
    {"attack (lance)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_LANCE,
      NEEDS_ITEM, 15L*SECOND},
    {"attack (longbow)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0}, 0,
      ATTACK_LONGBOW, NEEDS_ITEM, 5L*SECOND},
    {"attack (longsword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0,
      ATTACK_LONGSWORD, NEEDS_ITEM, 5L*SECOND},
    {"attack (mace)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_MACE,
      NEEDS_ITEM, 7L*SECOND},
    {"attack (rapier)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0, ATTACK_RAPIER,
      NEEDS_ITEM, 3L*SECOND},
    {"attack (shortsword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0,
      ATTACK_SHORTSWORD, NEEDS_ITEM, 3L*SECOND},
    {"attack (throw)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, 0, ATTACK_THROW,
      0, 2L*SECOND},
    {"attack (two-handed sword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, 0,
      ATTACK_TWO_HANDED_SWORD, NEEDS_ITEM, 10L*SECOND},
    {"blind action", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, BLIND_ACTION,
      CONTINUOUS, MINUTE},
    {"chemistry", {0, 1, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0}, 0, CHEMISTRY,
      NO_HOSTILE|GENERALLY_USABLE|NEEDS_SPECIAL, HOUR},
    {"climbing", {1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0}, 0, CLIMBING, CONTINUOUS,
      15L*SECOND},
    {"cold tolerance", {0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0}, 0, COLD_TOLERANCE,
      CONTINUOUS, HOUR},
    {"dodge", {1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0}, 0, DODGE, 0, SECOND},
    {"endurance", {0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0}, 0, ENDURANCE,
      CONTINUOUS, MINUTE},
    {"fencing (axe)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5, FENCING_AXE,
      NEEDS_ITEM, 3L*SECOND},
    {"fencing (dagger)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_DAGGER, NEEDS_ITEM, 2L*SECOND},
    {"fencing (halberd)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_HALBERD, NEEDS_ITEM, 8L*SECOND},
    {"fencing (longsword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_LONGSWORD, NEEDS_ITEM, 5L*SECOND},
    {"fencing (mace)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5, FENCING_MACE,
      NEEDS_ITEM, 7L*SECOND},
    {"fencing (rapier)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_RAPIER, NEEDS_ITEM, 3L*SECOND},
    {"fencing (shortsword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_SHORTSWORD, NEEDS_ITEM, 3L*SECOND},
    {"fencing (two-handed sword)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0}, -5,
      FENCING_TWO_HANDED_SWORD, NEEDS_ITEM, 10L*SECOND},
    {"fishing", {0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0}, 0, FISHING,
      NEEDS_ITEM|NO_HOSTILE|GENERALLY_USABLE|NEEDS_SPECIAL, 30L*MINUTE},
    {"geography", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, GEOGRAPHY,
      NO_HOSTILE|GENERALLY_USABLE|NEEDS_SPECIAL, MINUTE},
    {"guess actions", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, GUESS_ACTIONS,
      GENERALLY_USABLE, SECOND},
    {"haggling", {0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, HAGGLING, NO_HOSTILE,
      5L*MINUTE},
    {"hear noises", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, HEAR_NOISES,
      CONTINUOUS, SECOND},
    {"heat tolerance", {0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0}, 0, HEAT_TOLERANCE,
      CONTINUOUS, HOUR},
    {"herbalism", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, HERBALISM,
      NO_HOSTILE|GENERALLY_USABLE|NEEDS_SPECIAL, 15L*MINUTE},
    {"jumping", {1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0}, 0, JUMPING,
      GENERALLY_USABLE, SECOND},
    {"keen eyesight", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, KEEN_EYESIGHT,
      CONTINUOUS, SECOND},
    {"language (Janra)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0,
      LANGUAGE_JANRA, 0, 15L*SECOND},
    {"language (Jec)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 5, LANGUAGE_JEC,
      0, 15L*SECOND},
    {"language (Nor\'krin)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0,
      LANGUAGE_NORKRIN, 0, 15L*SECOND},
    {"language (Shal)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, LANGUAGE_SHAL,
      0, 15L*SECOND},
    {"language (Tuz)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, LANGUAGE_TUZ,
      0, 15L*SECOND},
    {"language (Urvanovestilli)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, -5,
      LANGUAGE_URVANOVESTILLI, 0, 15L*SECOND},
    {"language (Yedidia)", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0,
      LANGUAGE_YEDIDIA, 0, 15L*SECOND},
    {"medicine", {0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0}, 0, MEDICINE,
      NEEDS_ITEM|NO_HOSTILE|GENERALLY_USABLE, 15L*MINUTE},
    {"music (flute)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, 0, MUSIC_FLUTE,
      NEEDS_ITEM|GENERALLY_USABLE, MINUTE},
    {"music (harp)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, 0, MUSIC_HARP,
      NEEDS_ITEM|GENERALLY_USABLE, MINUTE},
    {"music (lute)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, 0, MUSIC_LUTE,
      NEEDS_ITEM|GENERALLY_USABLE, MINUTE},
    {"music (organ)", {0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0}, 0, MUSIC_ORGAN,
      NEEDS_ITEM|GENERALLY_USABLE, MINUTE},
    {"music (singing)", {0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0}, 0, MUSIC_SINGING,
      GENERALLY_USABLE, MINUTE},
    {"navigation", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, NAVIGATION,
      NO_HOSTILE|CONTINUOUS|GENERALLY_USABLE|NEEDS_SPECIAL, 5L*MINUTE},
    {"persuasion", {0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0}, 0, PERSUASION, 0,
      5L*MINUTE},
    {"pick locks", {0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0}, 0, PICK_LOCKS,
      NO_HOSTILE|GENERALLY_USABLE, 5L*MINUTE},
    {"reading/writing", {0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0}, 0,
      READING_WRITING, NO_HOSTILE, 5L*MINUTE},
    {"repair", {0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0}, 0, REPAIR,
      NEEDS_ITEM|NO_HOSTILE|GENERALLY_USABLE, HOUR},
    {"riding", {1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}, 0, RIDING, CONTINUOUS,
      MINUTE},
    {"sailing", {0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0}, 0, SAILING,
      NEEDS_ITEM|CONTINUOUS, HOUR},
    {"search", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, SEARCH, NO_HOSTILE,
      15L*SECOND},
    {"smell creature", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, SMELL_CREATURE,
      CONTINUOUS|GENERALLY_USABLE, SECOND},
    {"stealth", {1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, STEALTH, CONTINUOUS,
      15L*SECOND},
    {"swimming", {1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0}, 0, SWIMMING, CONTINUOUS,
      MINUTE},
    {"technology identification", {0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0}, 0,
      TECHNOLOGY_IDENTIFICATION, NO_HOSTILE|GENERALLY_USABLE, 15L*SECOND},
    {"tinkering", {0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0}, 0, TINKERING,
      NEEDS_ITEM|GENERALLY_USABLE|NO_HOSTILE|NEEDS_SPECIAL, 7*24*HOUR},
    {"tracking", {0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0}, 0, TRACKING,
      NO_HOSTILE|GENERALLY_USABLE|NEEDS_SPECIAL, 15L*MINUTE},
    {"wrestling", {1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0}, 0, WRESTLING, 0,
      15L*SECOND}
    };

/* skill adjusted, skill adjusted, ld.  -1=no skill */

long learning_differences[NUM_LEARNING_DIFFERENCES][3]={
{ACQUISITION, PERSUASION, 15},
{ANATOMY, MEDICINE, 10},
{ANIMAL_HANDLING, PERSUASION, 10},
{ANIMAL_HANDLING, TRACKING, 20},
{ATTACK_AXE, ATTACK_DAGGER, 5},
{ATTACK_AXE, ATTACK_FIST, 5},
{ATTACK_AXE, ATTACK_HALBERD, 10},
{ATTACK_AXE, ATTACK_LANCE, 15},
{ATTACK_AXE, ATTACK_LONGSWORD, 10},
{ATTACK_AXE, ATTACK_MACE, 5},
{ATTACK_AXE, ATTACK_RAPIER, 10},
{ATTACK_AXE, ATTACK_SHORTSWORD, 7},
{ATTACK_AXE, ATTACK_TWO_HANDED_SWORD, 15},
{ATTACK_AXE, FENCING_AXE, 10},
{ATTACK_CROSSBOW, ATTACK_LONGBOW, 5},
{ATTACK_CROSSBOW, ATTACK_THROW, 10},
{ATTACK_DAGGER, ATTACK_FIST, 5},
{ATTACK_DAGGER, ATTACK_HALBERD, 15},
{ATTACK_DAGGER, ATTACK_LANCE, 15},
{ATTACK_DAGGER, ATTACK_MACE, 10},
{ATTACK_DAGGER, ATTACK_RAPIER, 5},
{ATTACK_DAGGER, ATTACK_SHORTSWORD, 5},
{ATTACK_DAGGER, ATTACK_TWO_HANDED_SWORD, 15},
{ATTACK_DAGGER, FENCING_DAGGER, 10},
{ATTACK_FIST, ATTACK_HALBERD, 15},
{ATTACK_FIST, ATTACK_LANCE, 15},
{ATTACK_FIST, ATTACK_LONGSWORD, 10},
{ATTACK_FIST, ATTACK_RAPIER, 7},
{ATTACK_FIST, ATTACK_SHORTSWORD, 7},
{ATTACK_FIST, ATTACK_TWO_HANDED_SWORD, 15},
{ATTACK_FIST, WRESTLING, 10},
{ATTACK_HALBERD, ATTACK_LANCE, 7},
{ATTACK_HALBERD, ATTACK_LONGSWORD, 7},
{ATTACK_HALBERD, ATTACK_MACE, 7},
{ATTACK_HALBERD, ATTACK_RAPIER, 10},
{ATTACK_HALBERD, ATTACK_SHORTSWORD, 10},
{ATTACK_HALBERD, ATTACK_TWO_HANDED_SWORD, 5},
{ATTACK_HALBERD, FENCING_HALBERD, 10},
{ATTACK_LANCE, ATTACK_LONGSWORD, 7},
{ATTACK_LANCE, ATTACK_MACE, 10},
{ATTACK_LANCE, ATTACK_RAPIER, 12},
{ATTACK_LANCE, ATTACK_SHORTSWORD, 12},
{ATTACK_LANCE, ATTACK_TWO_HANDED_SWORD, 5},
{ATTACK_LONGBOW, ATTACK_THROW, 10},
{ATTACK_LONGSWORD, ATTACK_MACE, 5},
{ATTACK_LONGSWORD, ATTACK_RAPIER, 5},
{ATTACK_LONGSWORD, ATTACK_SHORTSWORD, 5},
{ATTACK_LONGSWORD, ATTACK_TWO_HANDED_SWORD, 5},
{ATTACK_LONGSWORD, FENCING_LONGSWORD, 5},
{ATTACK_MACE, ATTACK_RAPIER, 10},
{ATTACK_MACE, ATTACK_SHORTSWORD, 5},
{ATTACK_MACE, ATTACK_TWO_HANDED_SWORD, 10},
{ATTACK_MACE, FENCING_MACE, 10},
{ATTACK_RAPIER, ATTACK_SHORTSWORD, 5},
{ATTACK_RAPIER, ATTACK_TWO_HANDED_SWORD, 10},
{ATTACK_RAPIER, FENCING_RAPIER, 5}, /* The rapier is a fencing weapon.  */
{ATTACK_SHORTSWORD, ATTACK_TWO_HANDED_SWORD, 10},
{ATTACK_SHORTSWORD, FENCING_SHORTSWORD, 10},
{ATTACK_TWO_HANDED_SWORD, FENCING_TWO_HANDED_SWORD, 12},
{BLIND_ACTION, HEAR_NOISES, 10},
{CHEMISTRY, HERBALISM, 10},
{CLIMBING, DODGE, 20},
{COLD_TOLERANCE, ENDURANCE, 15},
{DODGE, RIDING, 15},
{DODGE, WRESTLING, 10},
{FENCING_AXE, FENCING_DAGGER, 5},
{FENCING_AXE, FENCING_HALBERD, 10},
{FENCING_AXE, FENCING_LONGSWORD, 10},
{FENCING_AXE, FENCING_MACE, 5},
{FENCING_AXE, FENCING_RAPIER, 10},
{FENCING_AXE, FENCING_SHORTSWORD, 7},
{FENCING_AXE, FENCING_TWO_HANDED_SWORD, 15},
{FENCING_DAGGER, FENCING_HALBERD, 15},
{FENCING_DAGGER, FENCING_MACE, 10},
{FENCING_DAGGER, FENCING_RAPIER, 5},
{FENCING_DAGGER, FENCING_SHORTSWORD, 5},
{FENCING_DAGGER, FENCING_TWO_HANDED_SWORD, 15},
{FENCING_HALBERD, FENCING_LONGSWORD, 7},
{FENCING_HALBERD, FENCING_MACE, 7},
{FENCING_HALBERD, FENCING_RAPIER, 10},
{FENCING_HALBERD, FENCING_SHORTSWORD, 10},
{FENCING_HALBERD, FENCING_TWO_HANDED_SWORD, 5},
{FENCING_LONGSWORD, FENCING_MACE, 5},
{FENCING_LONGSWORD, FENCING_RAPIER, 5},
{FENCING_LONGSWORD, FENCING_SHORTSWORD, 5},
{FENCING_LONGSWORD, FENCING_TWO_HANDED_SWORD, 5},
{FENCING_MACE, FENCING_RAPIER, 10},
{FENCING_MACE, FENCING_SHORTSWORD, 5},
{FENCING_MACE, FENCING_TWO_HANDED_SWORD, 10},
{FENCING_RAPIER, FENCING_SHORTSWORD, 5},
{FENCING_RAPIER, FENCING_TWO_HANDED_SWORD, 10},
{FENCING_SHORTSWORD, FENCING_TWO_HANDED_SWORD, 10},
{FISHING, GUESS_ACTIONS, 15},
{FISHING, KEEN_EYESIGHT, 15},
{FISHING, TRACKING, 15},
{GUESS_ACTIONS, HAGGLING, 10},
{HERBALISM, MEDICINE, 10},
{STEALTH, SEARCH, 15},
{KEEN_EYESIGHT, SEARCH, 10},
{KEEN_EYESIGHT, TRACKING, 10},
{LANGUAGE_JANRA, LANGUAGE_JEC, 20},
{LANGUAGE_JANRA, LANGUAGE_NORKRIN, 20},
{LANGUAGE_JANRA, LANGUAGE_SHAL, 20},
{LANGUAGE_JANRA, LANGUAGE_TUZ, 20},
{LANGUAGE_JANRA, LANGUAGE_URVANOVESTILLI, 20},
{LANGUAGE_JANRA, LANGUAGE_YEDIDIA, 20},
{LANGUAGE_JEC, LANGUAGE_TUZ, 30},
{LANGUAGE_SHAL, LANGUAGE_YEDIDIA, 20},
{LANGUAGE_URVANOVESTILLI, LANGUAGE_YEDIDIA, 30},
{STEALTH, HEAR_NOISES, 15},
{MUSIC_FLUTE, MUSIC_HARP, 10},
{MUSIC_FLUTE, MUSIC_LUTE, 10},
{MUSIC_FLUTE, MUSIC_ORGAN, 10},
{MUSIC_FLUTE, MUSIC_SINGING, 5},
{MUSIC_HARP, MUSIC_LUTE, 5},
{MUSIC_HARP, MUSIC_ORGAN, 5},
{MUSIC_HARP, MUSIC_SINGING, 10},
{MUSIC_LUTE, MUSIC_ORGAN, 10},
{MUSIC_LUTE, MUSIC_SINGING, 10},
{MUSIC_ORGAN, MUSIC_SINGING, 10},
{REPAIR, TINKERING, 10},
{SEARCH, TRACKING, 10},
{SMELL_CREATURE, TRACKING, 20}};

struct master_item orig_items[NUM_ITEMS] = {
    { "liquid", "adrenaline", "liquid",
    "This is a hormone which has tremendous effects, in terms of a temporary \
\nboost to strength, speed, and so on.",
    C_LIQUID, ADRENALINE, 1,
    0, 0, E_ADRENALINE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|LIQUID, 0, 1*OZ, 500*AU, EXTREMELY_DIFFICULT, 0,
    0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "opaque liquid", "poison antidote", "opaque liquid",
    "This is a chemical which, if applied soon enough to a creature which is \
\npoisoned, will take away some or all of the damage.",
    C_LIQUID, ANTIDOTE, 1, 1, 1, E_ANTIDOTE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, CAN_ACTIVATE|EXPENDABLE|LIQUID|CAN_HERB|DISAPPEAR_LAST_USE,
    0, 5*OZ, 20*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
    0, SOME, NULL},

    { "amulet", "amulet",
    "This is a small, exquisitely crafted amulet, wrought out of gold and \
silver.",
    "This is a small, exquisitely crafted amulet, wrought out of gold and \
silver.",
    C_NON_EQUIPMENT_TREASURE,
    AMULET, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER, 0, 5*OZ, 10*AU, MODERATE, 0,
    0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "axe", "axe",
    "This is a small axe, traditionally used by the Nor'krin as both weapon \
and\ntool.",
    "This is a small axe, traditionally used by the Nor'krin as both weapon \
and\ntool.",
    C_WEAPON, AXE, 1, 0, 0, E_EQUIP,
    2, 0, 0, 0, {{ATTACK_AXE, 0}, {FENCING_AXE, 0}}, {ATTACK_AXE,
    FENCING_AXE}, 0, WEAR_WIELD|CAN_TINKER, PRIMARY_HAND, 1*LB, 5*AU,
    MODERATE, MODERATE, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0,
    IM_SLASHES|IS_WEAPON, NULL},

    { "backpack", "backpack",
    "A sturdy leather backpack will hold your supplies rather well.",
    "A sturdy leather backpack will hold your supplies rather well.",
    C_NON_DEVICE_EQUIPMENT, BACKPACK, 1, 0, 0, E_EQUIP, 0, -10, 0,
    0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CONTAINER|CAN_TINKER|CAN_OPEN, 0, 5*LB, 3*AU, MODERATE,
    DIFFICULT, 0, 0, 0, 1800, 1500, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "bed", "bed",
    "A good place to lie down and rest.",
    "A good place to lie down and rest.",
    C_BED, BED, 1, 0, 0, NONE, 0, -10, 0, 0,
    {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0, 100*LB, 100*AU, MODERATE,
    MODERATE, 0, 0, 0, 10000, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "beer", "beer",
    "Dark, thick, and strong, this is a Tuz stout.",
    "Dark, thick, and strong, this is a Tuz stout.",
    C_LIQUID, BEER, 1, 1, 1, ALCOHOL,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 1, 1*SI, DIFFICULT,
    0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "strange contraption", "belaying device", "strange contraption",
    "This is a mechanical device, which shoots out a grappling hook on a \
rope, \nandthen (when its spring is wound and a button is pushed) keeps the \
rope \ntight, so that a climber in its harness is safer.",
    C_DEVICE, BELAYING_DEVICE, 1, 0, 0,
    E_EQUIP, 0, -10, 0, 0, {{CLIMBING, 10}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_ACTIVATE|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND, 2*LB,
    20*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "book", "book",
    "A valuable tome, probably crafted by the Urvanovestilli.",
    "A valuable tome, probably crafted by the Urvanovestilli.",
    C_BOOK, BOOK, 1, 0, 0, E_TEXT, 0, -10,
    0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_READ, 0, 5*LB, 100*AU,
    DIFFICULT, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "boots", "sturdy boots",
    "These sturdy boots will shod your feet and protect them from injury.",
    "These sturdy boots will shod your feet and protect them from injury.",
    C_ARMOR, BOOTS, 1, 0,
    0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, FEET, 2*LB, 2*AU, MODERATE, DIFFICULT, 5, 5, 0,
    100, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "bottle", "glass bottle",
    "A glass bottle, useful for holding liquids.",
    "A glass bottle, useful for holding liquids.",
    C_LIQUID, BOTTLE, 1,
    0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CONTAINER|CAN_OPEN|HOLD_LIQUID|TRANSLUCENT, 0, 8*OZ, 1*AU, EASY, 0, 0, 0,
    0, 25, 24, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "arm bracers", "arm bracers",
    "This is a specialized, light but strong piece of armor.  It is worn on \
the\nforearms, and helps people in blocking blows.",
    "This is a specialized, light but strong piece of armor.  It is worn on \
the\nforearms, and helps people in blocking blows.",
    C_ARMOR, BRACERS, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{DODGE, 5}, {-1, 0}},
    {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, FOREARMS, 2*LB, 15*AU, DIFFICULT,
    DIFFICULT, 10, 10, 0, 20, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "arm bracers", "titanium arm bracers", "lightweight arm bracers",
    "This is an extremely valuable pair of arm bracers, both superbly strong \
and \nsuperbly light.",
    C_ARMOR, BRACERS, 1, 0, 0, E_EQUIP, 0, -10, 0, 0,
    {{DODGE, 10}, {-1, 0}}, {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, FOREARMS,
    8*OZ, 200*AU, EXTREMELY_DIFFICULT, VERY_DIFFICULT, 10, 10, 0, 20, 0, 0, 0,
    0, 0, 0, 0, SOME, NULL},

    { "brazier", "brazier",
    "An elegant brass brazier, in which to burn incense.",
    "An elegant brass brazier, in which to burn incense.",
    C_NON_EQUIPMENT_TREASURE,
    BRAZIER, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CONTAINER|CAN_ACTIVATE|CAN_TINKER, 0, 5*LB, 40*AU, DIFFICULT, DIFFICULT,
    0, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "cabinet", "cabinet",
    "A large cabinet, which opens to shelves with room for many things.",
    "A large cabinet, which opens to shelves with room for many things.",
    C_CABINET, CABINET, 1, 0, 0,
    NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CONTAINER|CAN_TINKER,
    0, 50*LB, 50*AU, MODERATE, DIFFICULT, 0, 0, 0, 5000, 4000, 0, 0, 0, 0, 0,
    0, 0, NULL},

    { "strange contraption", "calculator", "strange contraption",
    "A mechanical calculator, which can add, subtract, multiply, and divide.",
    C_DEVICE, CALCULATOR, 1, 0, 0,
    E_CALCULATOR, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|CAN_TINKER, 0, 6*OZ,
    50*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "dark cloak", "camouflage cloak", "dark cloak",
    "A dark clock which aids the wearer in blending in to his surroundings.",
    C_CLOTHING, CAMOUFLAGE_CLOAK, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{STEALTH,
    10}, {COLD_TOLERANCE, 10}}, {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, S_CLOAK, 5*LB, 4*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "candle", "candle",
    "A wax candle which provides a faint light.",
    "A wax candle which provides a faint light.",
    C_LIGHT_SOURCE, CANDLE, 1, 10,
    10, GIVES_LIGHT, 5, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER|DISAPPEAR_LAST_USE|FLAMMABLE, SECONDARY_HAND, 3*OZ,
    3*CU, MODERATE, MODERATE, 0, 0, 10, 5, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "candlestick", "candlestick",
    "A heavy, ornate brass candlestick.",
    "A heavy, ornate brass candlestick.",
    C_NON_EQUIPMENT_TREASURE, CANDLESTICK, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0, 2*LB, 25*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange boots", "cat's claw boots", "strange boots",
    "This is a set of boots with sharp steel claws, placed so as to aid its \
wearer \nin climbing.",
    C_NON_DEVICE_EQUIPMENT, CATS_CLAW, 1, 0, 0,
    E_EQUIP, 0, -10, 0, 0, {{CLIMBING, 10}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, FEET, 3*LB, 8*AU, DIFFICULT, VERY_DIFFICULT, 10,
    10, 0, 110, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "suit of chain mail", "suit of chain mail",
    "A suit of armor, made of interlocking metal rings.",
    "A suit of armor, made of interlocking metal rings.",
    C_ARMOR, CHAIN_MAIL, 1, 0, 0, E_EQUIP, 0, -1, 0, 5,
    {{STEALTH, -20}, {COLD_TOLERANCE, 10}}, {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, ARMOR,
    20*LB, 50*AU, DIFFICULT, VERY_DIFFICULT, 50, 10, 0, 200, 0, 0, 0, 0, 0, 0,
    0, 0, NULL},

    { "suit of chain mail", "suit of feather chain mail",
    "A suit of armor, made of interlocking metal rings.",
    "A well-crafted suit of armor, made of light interlocking metal rings.",
    C_ARMOR,
    CHAIN_MAIL_FEATHER, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{STEALTH, -10}, {-1,
    0}}, {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, ARMOR, 15*LB, 500*AU,
    VERY_DIFFICULT, EXTREMELY_DIFFICULT, 50, 10, 0, 150, 0, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "chair", "chair",
    "A simple wooden chair.",
    "A simple wooden chair.",
    C_CHAIR, CHAIR, 1, 0, 0, NONE, 0,
    -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0, 10*LB, 5*AU,
    MODERATE, DIFFICULT, 0, 0, 0, 2000, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "iron chest", "iron chest",
    "A very large, very solid, and very heavy iron chest.",
    "A very large, very solid, and very heavy iron chest.",
    C_NON_EQUIPMENT_TREASURE, CHEST_LARGE, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER|CAN_OPEN|CAN_LOCK|LOCKED|CONTAINER,
    0, 100*LB, 50*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 5500, 5000, 0, 0, 0, 0,
    0, 0, 0, NULL},

    { "iron chest", "iron chest",
    "An iron chest of moderate size.",
    "An iron chest of moderate size.",
    C_NON_EQUIPMENT_TREASURE, CHEST_MEDIUM, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER|CAN_OPEN|CAN_LOCK|LOCKED|CONTAINER,
    0, 50*LB, 20*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 3000, 2500, 0, 0, 0, 0, 0,
    0, 0, NULL},

    { "iron chest", "iron chest",
    "An iron chest which is small, but quite sturdy.",
    "An iron chest which is small, but quite sturdy.",
    C_NON_EQUIPMENT_TREASURE, CHEST_SMALL, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER|CAN_OPEN|CAN_LOCK|LOCKED|CONTAINER,
    0, 5*LB, 5*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 1000, 500, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "chalice", "chalice",
    "A delicate, light silver chalice.",
    "A delicate, light silver chalice.",
    C_NON_EQUIPMENT_TREASURE,
    CHALICE, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_TINKER|CONTAINER|HOLD_LIQUID, 0, 4L*OZ, 20*AU, DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 25, 8, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "cloak", "cloak",
    "A sturdy, thick woolen cloak which affords some protection from the \
\nelements and from hostile beasts.",
    "A sturdy, thick woolen cloak which affords some protection from the \
\nelements and from hostile beasts.",
    C_CLOTHING, CLOAK, 1, 0, 0, E_EQUIP,
    0, -10, 0, 0, {{COLD_TOLERANCE, 10}, {-1, 0}}, {-1, -1}, 0, WEAR_WIELD|CAN_TINKER,
    S_CLOAK, 5*LB, 5*AU, MODERATE, DIFFICULT, 5, 5, 0, 150, 0, 0, 0, 0, 0, 0,
    0, 0, NULL},

    { "clock", "clock",
    "A large clock, full of gears and springs.",
    "A large clock, full of gears and springs.",
    C_DEVICE, CLOCK, 1, 0, 0,
    TELLS_TIME, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0,
    10*LB, 100*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 0,
    NULL},

    { "strange contraption", "clockwork device", "strange contraption",
    "A clockwork device.", C_DEVICE, CLOCKWORK_DEVICE, 1, 0, 0,
    E_CLOCKWORK_DEVICE,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_ACTIVATE|CAN_TINKER, 0,
    10*LB, 200*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 1000, 0, 0, 0, 0,
    0, 0, 0, 0, NULL},

    { "clothing", "clothing", "A garment.", "A garment.", C_CLOTHING, CLOTHING,
    1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, 0, 1*LB, 1*EL, EASY, DIFFICULT, 0, 0, 0, 100, 0, 0,
    0, 0, 0, 0, 0, SOME, NULL},

    { "black liquid", "coffee", "An aromatic black liquid.",
    "One of a number of coffees of which the Urvanovestilli are fond.",
    C_LIQUID,
    COFFEE, 1, 1, 1, E_COFFEE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_HERB, 0, 8*OZ, 2*SI,
    DIFFICULT, DIFFICULT, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "brown liquid", "cofisa tea", "A brown liquid.",
    "One of several teas which the Yedidia brew.", C_LIQUID,
    COFISA_TEA, 1, 1, 1, E_COFISA_TEA, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1,
    -1}, 0, LIQUID|CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_HERB, 0,
    8*OZ, 1*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0,
    SOME, NULL},

    { "strange contraption", "compass",
    "A strange contraption.",
    "A compass, which can be quite helpful in finding your way.",
    C_DEVICE, COMPASS, 1, 0, 0,
    FIND_DIRECTION, 0, -10, 0, 0, {{NAVIGATION, 10}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|CAN_TINKER, 0, 1*OZ, 3*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "viscous liquid", "cordial", "A viscous liquid.",
    "An exquisite cordial, distilled by the Urvanovestilli.",
    C_LIQUID,
    CORDIAL, 1, 1, 1, ALCOHOL, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 1, 1*SI, DIFFICULT,
    0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "crossbow", "crossbow",
    "A sturdy missle weapon, favored by Tuz hunters.",
    "A sturdy missle weapon, favored by Tuz hunters.",
    C_WEAPON, CROSSBOW, 1,
    0, 0, ONE_BOLT, 30, 10, 0, 0, {{ATTACK_CROSSBOW, 0}, {-1, 0}},
    {ATTACK_CROSSBOW, 0}, 0, WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER,
    PRIMARY_HAND|SECONDARY_HAND, 3*LB, 10*AU, DIFFICULT, DIFFICULT, 0, 0, 0,
    250, 5, 0, 0, 0, 0, 0, 0, IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "distinctive crossbow", "pump action crossbow",
    "A distinctive crossbow.",
    "A special kind of crossbow, which is loaded and triggered by a pumping \
\naction.  It is less powerful than most, but can be fired quite quickly.",
    C_WEAPON, CROSSBOW_PUMP, 1, 0, 0, ONE_BOLT, 5, 0, 0, 0,
    {{ATTACK_CROSSBOW, 0}, {-1, 0}}, {ATTACK_CROSSBOW, 0}, 0,
    WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND,
    3*LB, 200*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 250, 5, 0, 0, 0, 0,
    0, 0, IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "distinctive crossbow", "sighted pump action crossbow",
    "A distinctive crossbow.",
    "A special kind of crossbow, which is loaded and triggered by a pumping \
\naction.  It is less powerful than most, but can be fired quite quickly, and \
\nsports a scope.", C_WEAPON,
    CROSSBOW_PUMP_SIGHTED, 1, 0, 0, ONE_BOLT, 5, 10, 0, 0, {{ATTACK_CROSSBOW,
    10}, {-1, 0}}, {ATTACK_CROSSBOW, 0}, 0,
    WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND,
    3*LB, 300*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 250, 5, 0, 0, 0, 0,
    0, 0, IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "distinctive crossbow", "sighted crossbow", "A distinctive crossbow.",
    "A finely crafted crossbow, which sports a scope.",
    C_WEAPON, CROSSBOW_SIGHTED, 1,
    10, 0, ONE_BOLT, 5, 10, 0, 0, {{ATTACK_CROSSBOW, 10}, {-1, 0}},
    {ATTACK_CROSSBOW, 0}, 0, WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER,
    PRIMARY_HAND|SECONDARY_HAND, 3*LB, 150*AU, VERY_DIFFICULT, VERY_DIFFICULT,
    0, 0, 0, 250, 5, 0, 0, 0, 0, 0, 0, IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "distinctive crossbow", "spray crossbow", "A distinctive crossbow.",
    "A special kind of crossbow, which fires not a single bolt, but a whole \
spray\n of bolts.",
    C_WEAPON, CROSSBOW, 1, 20, 0, TWENTY_BOLTS, 5, 10, 0, 0,
    {{ATTACK_CROSSBOW, 10}, {-1, 0}}, {ATTACK_CROSSBOW, 0}, 0,
    WEAR_WIELD|MAY_HAVE_COMPARTMENT|CAN_TINKER,
    PRIMARY_HAND|SECONDARY_HAND|IM_SHOOTS, 3*LB, 400*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 250, 5, 0, 0, 0, 0, 0, 0,
    IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "crossbow bolt", "crossbow bolt",
    "The standard quarrel used by crossbows.",
    "The standard quarrel used by crossbows.",
    C_WEAPON, CROSSBOW_BOLT, 20, 0, 0, E_EQUIP, 0, 0, 0, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, EXPENDABLE|CAN_TINKER, 0, 4*OZ, 3*CU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "crossbow bolt", "poison injecting crossbow bolt",
    "A quarrel used by crossbows.",
    "A special crossbow quarrel, which injects poison on impact.",
    C_WEAPON, CROSSBOW_BOLT_EXPLODING, 20,
    0, 0, E_EQUIP, 0, 0, 20, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    EXPENDABLE|CAN_TINKER, 0, 4*OZ, 1*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0,
    5, 0, 0, 0, 0, 0, 0, 0, IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "crossbow bolt", "exploding crossbow bolt",
    "A quarrel used by crossbows.",
    "A special crossbow quarrel, which injects poison on impact.",
    C_WEAPON, CROSSBOW_BOLT_POISON, 20, 0, 20, E_EQUIP, 0, 0,
    0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, EXPENDABLE|CAN_TINKER, 0, 4*OZ,
    1*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
    IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "crowbar", "crowbar",
    "A heavy steel crowbar, useful in the opening of uncooperative doors.",
    "A heavy steel crowbar, useful in the opening of uncooperative doors.",
    C_NON_DEVICE_EQUIPMENT,
    CROWBAR, 1, 0, 0, AID_OPEN, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|CAN_TINKER, 0, 5*LB, 4*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 50,
    0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "crown", "crown",
    "A delicately crafted crown, wrought with gold and silver and precious \
jewels.",
    "A delicately crafted crown, wrought with gold and silver and precious \
jewels.",
    C_NON_EQUIPMENT_TREASURE, CROWN, 1,
    0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, WEAR_WIELD,
    HEAD, 1*LB, 500*AU, VERY_DIFFICULT, 0, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "dagger", "dagger",
    "A sharp dagger.  A small, fine, and very precise dagger is used by some \
\nUrvanovestilli, while a large, strong iron dagger is the hallmark of the \
Tuz.",
    "A sharp dagger.  A small, fine, and very precise dagger is used by some \
\nUrvanovestilli, while a large, strong iron dagger is the hallmark of the \
Tuz.",
    C_WEAPON, DAGGER, 1, 0, 0,
    E_EQUIP, 2, 0, 0, 0, {{ATTACK_DAGGER, 0}, {FENCING_DAGGER, 0}},
    {ATTACK_DAGGER, FENCING_DAGGER}, 0,
    CAN_TINKER|WEAR_WIELD|MAY_HAVE_COMPARTMENT, PRIMARY_HAND, 2*LB, 2*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 15, 5, 0, 0, 0, 0, 0, 0,
    IM_SLASHES|IM_STABS|IS_WEAPON, NULL},

    { "dagger", "dagger, poison injecting",
    "A sharp dagger.  A small, fine, and very precise dagger is used by some \
\nUrvanovestilli, while a large, strong iron dagger is the hallmark of the \
Tuz.",
    "A small, sharp dagger, capable of injecting poison on a successful hit.",
    C_WEAPON, DAGGER_POISON, 1, 10, 10, E_EQUIP, 2, 0, 20, 0,
    {{ATTACK_DAGGER, 0}, {FENCING_DAGGER, 0}}, {ATTACK_DAGGER,
    FENCING_DAGGER}, 0, CAN_TINKER|WEAR_WIELD, PRIMARY_HAND, 2*LB, 40*AU,
    VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0,
    IM_SLASHES|IM_STABS|IS_WEAPON, NULL},

    { "crystalline chalice", "diamond chalice",
    "A beautiful chalice, wrought of some clear crystal.",
    "An exquisitely wrought chalice, crafted of pure diamond.",
    C_NON_EQUIPMENT_TREASURE, DIAMOND_CHALICE, 1, 0, 0,
    NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CONTAINER|HOLD_LIQUID,
    0, 1*LB, 100000L*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 25, 8, 0, 0, 0, 0,
    0, 0, 0, NULL},

    { "earhorn", "earhorn",
    "An earhorn.",
    "A kind of horn, which, fitted to the ear, helps it to pick up sounds.",
    C_NON_DEVICE_EQUIPMENT,
    EARHORN, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{HEAR_NOISES, 10}, {-1, 0}},
    {-1, -1}, 0, CAN_ACTIVATE|CAN_TINKER, 0, 8*OZ, 15*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "longsword", "firestar",
    "A longsword.",
    "An incredibly valuable longsword, with a network of veins laced \
throughout\nthe blade, allowing oil to flow from the hollow handle, and flame \
out from\nthe blade.",
    C_WEAPON,
    FIRESTAR, 1, 20, 20, E_EQUIP, 5, 15, 20, 0, {{ATTACK_LONGSWORD, 5},
    {FENCING_LONGSWORD, 0}}, {ATTACK_LONGSWORD, FENCING_LONGSWORD}, 0,
    WEAR_WIELD|I_UNIQUE|CAN_TINKER, PRIMARY_HAND, 5*LB, 2000*AU,
    EXTREMELY_DIFFICULT, EXTREMELY_DIFFICULT, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0,
    0, IM_STABS|IM_SLASHES|IS_WEAPON|I_ALWAYS_NORMAL_QUALITY, NULL},

    { "dry wood", "firewood", "Some dry wood.",
    "Some good firewood.",
    C_WOOD, FIREWOOD, 1, 1,
    1, WARM_ENVIRONMENT, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    EXPENDABLE|DISAPPEAR_LAST_USE|FLAMMABLE, 0, 10*LB, 2*CU, MODERATE, 0, 0,
    0, 0, 250, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "net with weights", "fishing net",
    "A net with weights.",
    "A tightly woven net with little weights attached, used for catching fish.",
    C_NON_DEVICE_EQUIPMENT, FISHING_NET, 1, 0, 0, CATCH_FISH,
    0, -10, 0, 0, {{FISHING, 00}, {-1, 0}}, {FISHING, -1}, 0,
    WEAR_WIELD|CAN_TINKER|CAN_ACTIVATE, PRIMARY_HAND|SECONDARY_HAND, 2*LB,
    25*AU, DIFFICULT, EASY, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "fishing rod", "A strange contraption.",
    "A collapsible fishing rod.", C_DEVICE, FISHING_ROD, 1, 0, 0, CATCH_FISH,
    0, -10, 0, 0, {{FISHING, 10}, {-1, 0}}, {FISHING, -1}, 0,
    WEAR_WIELD|CAN_TINKER|CAN_ACTIVATE|MAY_HAVE_COMPARTMENT,
    PRIMARY_HAND|SECONDARY_HAND, 1*LB, 25*AU, DIFFICULT, DIFFICULT, 0, 0, 0,
    20, 2, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "flask", "flask",
    "A small ceramic flask, useful for holding liquids.",
    "A small ceramic flask, useful for holding liquids.",
    C_LIQUID, FLASK, 1, 0, 0, NONE, 0,
    0, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CONTAINER|CAN_ACTIVATE|HOLD_LIQUID|CAN_OPEN, 0, 3*OZ, 1*SI, MODERATE, 0,
    0, 0, 0, 10, 8, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "flower", "flower",
    "A little white daisy.",
    "A little white daisy.",
    C_NON_EQUIPMENT_TREASURE, FLOWER, 1, 0, 0, 0, 0, -10, 0, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, 0, 0, 1, 1L * SI, EASY, 0, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "flute", "flute",
    "A beautiful, light wooden flute.",
    "A beautiful, light wooden flute.",
    C_NON_DEVICE_EQUIPMENT, FLUTE, 1, 0,
    0, E_MUSIC_FLUTE, 0, -10, 0, 0, {{MUSIC_FLUTE, 0}, {-1, 0}}, {MUSIC_FLUTE,
    0}, 0, WEAR_WIELD|CAN_ACTIVATE|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND,
    3*OZ, 5*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0,
    NULL},

    { "strange contraption", "folding boat",
    "A strange contraption.",
    "A special kind of little boat, which folds and collapses into a small \
box.",
    C_VEHICLE, FOLDING_BOAT, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, CAN_TINKER|I_WATER_ONLY|CONTAINER|I_VEHICLE,
    VEHICLE|PRIMARY_HAND|SECONDARY_HAND, 100*LB, 100*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 10000L, 5000L, 0, 0, 0, 0, 0, 0, I_TRAVEL_WATER,
    NULL},

    { "food", "food",
    "The food which nourishes people daily.",
    "The food which nourishes people daily.",
    C_FOOD, FOOD, 1, 1, 1, E_FOOD, 0, -10,
    0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 1*LB, 1*SI, EASY, 0, 0, 0,
    0, 16, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "gem", "gem", "A gem.", "A gem.", C_GEM, GEM, 1, 0, 0, NONE, 0, -10, 0,
    0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, 0, 0, 1, 100*AU, DIFFICULT, 0, 0, 0, 0,
    1, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "halberd", "halberd",
    "A great, broad axe atop a long, sturdy handle.",
    "A great, broad axe atop a long, sturdy handle.",
    C_WEAPON, HALBERD, 1, 0, 0,
    E_EQUIP, 8, 15, 0, 0, {{ATTACK_HALBERD, 0}, {FENCING_HALBERD, 0}},
    {ATTACK_HALBERD, FENCING_HALBERD}, 0,
    WEAR_WIELD|CAN_TINKER|MAY_HAVE_COMPARTMENT, PRIMARY_HAND|SECONDARY_HAND,
    10*LB, 30*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 150, 10, 0, 0, 0, 0, 0, 0,
    IM_SLASHES|IS_WEAPON, NULL},

    { "harp", "harp",
    "A delicate metal harp, from which flow beautiful sounds.",
    "A delicate metal harp, from which flow beautiful sounds.",
    C_NON_DEVICE_EQUIPMENT, HARP, 1, 0, 0,
    E_MUSIC_HARP, 0, -10, 0, 0, {{MUSIC_HARP, 0}, {-1, 0}}, {MUSIC_HARP, 0}, 0,
    WEAR_WIELD|CAN_ACTIVATE|CAN_TINKER|MAY_HAVE_COMPARTMENT,
    PRIMARY_HAND|SECONDARY_HAND, 2*LB, 10*AU, DIFFICULT, DIFFICULT, 0, 0, 0,
    35, 5, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "iron helm", "iron helm",
    "A heavy, solid iron helm to protect the head.",
    "A heavy, solid iron helm to protect the head.",
    C_ARMOR, HELM_IRON,
    1, 0, 0, E_EQUIP, 0, -10, 0, 2, {{COLD_TOLERANCE, 0}, {-1, 0}}, {0, 0}, 0,
    CAN_TINKER|WEAR_WIELD, HEAD, 5*LB, 5*AU, DIFFICULT, DIFFICULT, 0, 10, 10,
    100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "leather helm", "leather helm",
    "A sturdy leather cover for the head, which is light and yet affords some \
\nprotection.",
    "A sturdy leather cover for the head, which is light and yet affords some \
\nprotection.",
    C_ARMOR,
    HELM_LEATHER, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{COLD_TOLERANCE, 10}, {-1,
    0}}, {0, 0}, 0, CAN_TINKER|WEAR_WIELD, HEAD, 1*LB, 1*AU, DIFFICULT,
    DIFFICULT, 0, 3, 3, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "brown liquid", "helsriana tea", "brown liquid",
    "One of several herbal teas brewed by the Yedidia.",
    C_LIQUID, HELSRIANA_TEA, 1, 0, 0, E_HELSRIANA_TEA, 0, -10, 0, 0, {{-1, 0},
    {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|LIQUID|CAN_HERB, 0, 8*OZ, 5*AU,
    VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, SOME,
    NULL},

    { "dried plants", "herbal medicines", "Some dried plants.",
    "Medicines, masterfully grown and gathered by Yedidia herbalist lore.",
    C_NON_DEVICE_EQUIPMENT, HERBAL_MEDICINES, 1, 10, 10, E_EQUIP,
    0, -10, 0, 0, {{MEDICINE, 10}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_HERB|WEAR_WIELD, 0, 1*LB,
    50*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, SOME,
    NULL},

    { "horn", "horn",
    "A large horn, black and brown with streaks of creamy white.",
    "A large horn, black and brown with streaks of creamy white.",
    C_NON_EQUIPMENT_TREASURE, HORN, 1, 0, 0,
    E_HORN, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|HOLD_LIQUID, 0, 4*OZ, 5*AU, DIFFICULT, 0, 0, 0, 0, 20, 0, 0,
    0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "hot air balloon", "A strange contraption.",
"A hot air balloon, with an ample supply of fuel to allow the user to fly.",
    C_DEVICE, HOT_AIR_BALLOON, 1, 0, 0, E_FLY, 0, -10, 0, 0,
    {{-1, 0}, {-1, 0}}, {-1, -1}, 0, I_VEHICLE|WEAR_WIELD|CONTAINER|CAN_TINKER,
    VEHICLE, 100*LB, 5000L*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 1000,
    10000, 0, 0, 0, 0, 0, 0, I_TRAVEL_WATER, NULL},

    { "strange contraption", "hummer", "A strange contraption.",
    "One of many Urvanovestilli devices.  It repels animals by means of a \
high \npitched hum.",
    C_DEVICE, HUMMER, 1, 0, 0,
    E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_TINKER|MAY_HAVE_COMPARTMENT|WEAR_WIELD, 0, 10*LB, 150*AU,
    VERY_DIFFICULT, DIFFICULT, 0, 0, 0, 100, 25, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "incense", "incense",
    "A fragrant incense, of Yedidia craft.",
    "A fragrant incense, of Yedidia craft.",
    C_NON_EQUIPMENT_TREASURE,
    INCENSE, 1, 1, 1, E_INCENSE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1},
    0, CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|FLAMMABLE|CAN_HERB, 0, 1,
    1*SI, DIFFICULT, DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "strangely colored ball", "Janra ball", "A strangely colored ball.",
    "The ball used by the Janra in their wonderfully crazy games.",
    C_NON_EQUIPMENT_TREASURE, JANRA_BALL, 1, 0, 0, E_JANRA_BALL,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_ACTIVATE, 0, 8L * OZ,
    10L * AU, DIFFICULT, 0, 0, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "jewelry", "jewelry",
    "A piece of jewelry.",
    "A piece of jewelry.",
    C_NON_EQUIPMENT_TREASURE,
    JEWELRY, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD, 0, 2, 100*AU, DIFFICULT, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "strange contraption", "juggernaut", "A strange contraption.",
    "The juggernaut: a massive, human-powered, armored vehicle, which can \
travel \nacross terrain, and even shoot crossbow bolts.",
    C_DEVICE, JUGGERNAUT, 1, 0, 0, ONE_BOLT, 5, 10, 0, 0,
    {{ATTACK_CROSSBOW, 15}, {-1, 0}}, {ATTACK_CROSSBOW, 0}, 0,
    LAND_ONLY|CONTAINER|WEAR_WIELD|CAN_TINKER|NO_DUNGEON|I_VEHICLE, /* Not
    technically translucent, but if you're in it, you can see what's in it. */
    VEHICLE|PRIMARY_HAND|SECONDARY_HAND, 500*LB, 10000*AU,
    EXTREMELY_DIFFICULT, EXTREMELY_DIFFICULT, 100, 100, 0, 100000L, 50000L, 0,
    0, 0, 0, 0, 0, IM_SHOOTS|I_ALWAYS_NORMAL_QUALITY|I_TRAVEL_WATER, NULL},

    { "juice", "juice",
    "A sweet fruit juice.",
    "A sweet fruit juice.",
    C_LIQUID, JUICE, 1, 1, 1,
    QUENCH_THIRST, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 8*OZ, 1*CU, MODERATE, 0, 0, 0, 0,
    8, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "key", "key",
    "A large iron key.",
    "A large iron key.",
    C_NON_DEVICE_EQUIPMENT, KEY, 1, 0, 0, E_KEY,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_ACTIVATE|CAN_TINKER, 0,
    2*OZ, 1*SI, DIFFICULT, DIFFICULT, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0,
    NULL},

    { "brown liquid", "khoor", "A brown liquid.",
    "A spiced rum that non-Tuz occasionally use as a pepper sauce.",
    C_LIQUID, KHOOR, 1, 0, 0, FIREBREATHER, 0, -10, 0, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, LIQUID|CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 1,
    1*SI, DIFFICULT, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "lance", "lance",
    "A massive and powerful pole arm wielded astride a mighty steed.",
    "A massive and powerful pole arm wielded astride a mighty steed.",
    C_WEAPON, LANCE, 1, 0, 0, E_EQUIP,
    10, 20, 0, 0, {{ATTACK_LANCE, 0}, {NONE, 0}},
    {ATTACK_LANCE, NONE}, 0,
    WEAR_WIELD|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND, 25*LB, 250*AU,
    VERY_DIFFICULT, DIFFICULT, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0,
    IM_STABS|IS_WEAPON, NULL},

    { "lantern", "lantern",
    "A bright, glass-enclosed, oil-burning lantern, of Urvanovestilli make.",
    "A bright, glass-enclosed, oil-burning lantern, of Urvanovestilli make.",
    C_DEVICE, LANTERN, 1, 60,
    60, GIVES_LIGHT, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {0, 0}, 0,
    CAN_ACTIVATE|FLAMMABLE|WEAR_WIELD|CAN_TINKER|CONTAINER|HOLD_LIQUID,
    SECONDARY_HAND, 2*LB, 5*AU, DIFFICULT, DIFFICULT, 0, 0, 50, 25, 8, 0, 0, 0,
    0, 0, 0, 0, NULL},

    { "suit of leather armor", "suit of leather armor",
    "A suit of armor made by boiling leather until it becomes hard and strong.",
    "A suit of armor made by boiling leather until it becomes hard and strong.",
    C_ARMOR, LEATHER_ARMOR, 1, 0, 0, E_EQUIP,
    0, -10, 0, 2, {{COLD_TOLERANCE, 10}, {-1, 0}}, {0, 0}, 0, CAN_TINKER|WEAR_WIELD, ARMOR,
    10*LB, 20*AU, DIFFICULT, DIFFICULT, 20, 20, 0, 100, 0, 0, 0, 0, 0, 0, 0,
    0, NULL},

    { "leather vest", "leather vest",
    "A hardened leather vest, popular among the Tuz.",
    "A hardened leather vest, popular among the Tuz.",
    C_ARMOR,
    LEATHER_VEST, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{COLD_TOLERANCE, 5}, {-1, 0}}, {0, 0},
    0, CAN_TINKER|WEAR_WIELD, ARMOR, 5*LB, 10*AU, DIFFICULT, DIFFICULT, 10,
    10, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "lighter", "A strange contraption.",
    "A device which has a spring which is tightly wound, and then released to \
make \na thick shower of sparks.",
    C_DEVICE, LIGHTER, 1, 0, 0, IGNITE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {0,
    0}, 0, CAN_ACTIVATE|CAN_TINKER, 0, 5*OZ, 5*AU, DIFFICULT, DIFFICULT, 0, 0,
    0, 2*OZ, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "lock picks", "A strange contraption.",
    "Some thin pieces of twisted metal, used to pick locks.",
    C_DEVICE, LOCK_PICKS, 1, 0, 0, E_EQUIP, 0, -10, 0, 0,
    {{PICK_LOCKS, 0}, {-1, 0}}, {PICK_LOCKS, 0}, 0,
    CAN_ACTIVATE|CAN_TINKER|WEAR_WIELD, 0, 2*OZ, 30*AU, VERY_DIFFICULT,
    DIFFICULT, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "longbow", "longbow",
    "A tall and graceful wooden longbow, favored by Urvanovestilli and Jec.",
    "A tall and graceful wooden longbow, favored by Urvanovestilli and Jec.",
    C_WEAPON, LONGBOW, 1, 0, 0,
    ONE_ARROW, 5, 10, 0, 0, {{ATTACK_LONGBOW, 0}, {-1, 0}}, {ATTACK_LONGBOW,
    0}, 0, WEAR_WIELD|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND, 2*LB, 10*AU,
    DIFFICULT, DIFFICULT, 0, 0, 20, 100, 0, 0, 0, 0, 0, 0, 0,
    IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "arrow", "arrow",
    "A light wooden arrow, fitted to longbows.",
    "A light wooden arrow, fitted to longbows.",
    C_WEAPON,
    LONGBOW_ARROW, 30, 0, 0, E_EQUIP, 0, 0, 0, 0, {{-1, 0}, {-1, 0}}, {0, 0},
    0, EXPENDABLE|DISAPPEAR_LAST_USE|WEAR_WIELD, 0, 3*OZ, 1*SI, DIFFICULT,
    DIFFICULT, 0, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "longsword", "longsword",
    "A long and powerful sword, wielded by many legendary men at arms.",
    "A long and powerful sword, wielded by many legendary men at arms.",
    C_WEAPON, LONGSWORD,
    1, 0, 0, E_EQUIP, 5, 10, 0, 0, {{ATTACK_LONGSWORD, 0}, {FENCING_LONGSWORD,
    0}}, {ATTACK_LONGSWORD, FENCING_LONGSWORD}, 0, WEAR_WIELD|CAN_TINKER,
    PRIMARY_HAND, 5*LB, 10*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 50, 0, 0, 0, 0,
    0, 0, 0, IM_STABS|IM_SLASHES|IS_WEAPON, NULL},

    { "lute", "lute",
    "A simple wooden lute, used to play minstrel's songs.",
    "A simple wooden lute, used to play minstrel's songs.",
    C_NON_DEVICE_EQUIPMENT, LUTE, 1, 0, 0,
    E_MUSIC_LUTE, 0, -10, 0, 0, {{MUSIC_LUTE, 0}, {-1, 0}}, {MUSIC_LUTE, 0}, 0,
    WEAR_WIELD|CAN_ACTIVATE|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND, 1*LB,
    10*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "mace", "mace",
    "A heavy staff, with a spiked metal head.",
    "A heavy staff, with a spiked metal head.",
    C_WEAPON, MACE, 1, 0, 0, E_EQUIP, 7, 5,
    0, 0, {{ATTACK_MACE, 0}, {FENCING_MACE, 0}}, {ATTACK_MACE, FENCING_MACE},
    0, WEAR_WIELD|CAN_TINKER, PRIMARY_HAND, 5*LB, 10*AU, DIFFICULT, DIFFICULT,
    0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 0,
    IM_BEATS|IM_HITS|IM_STRIKES|IS_WEAPON|I_BLUNT_DAMAGE, NULL},

    { "book", "manual of skill",
    "A book.",
    "A manual which, if studied for a month, brings a greater proficiency in \
a \nspecific skill.",
    C_BOOK,
    MANUAL_OF_SKILL, 1, 1, 1, E_MANUAL_OF_SKILL, 0, -10, 0, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, CAN_READ|DISAPPEAR_LAST_USE|EXPENDABLE, 0, 10*LB,
    1000*AU, EXTREMELY_DIFFICULT, 0, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 0,
    NULL},

    { "kit", "medical kit", "A kit.",
    "A kit containing instruments of medical practice.",
    C_NON_DEVICE_EQUIPMENT,
    MEDICAL_KIT, 1, 0, E_EQUIP, 0, 0, -10, 0, 0, {{MEDICINE, 0}, {-1, 0}},
    {MEDICINE, -1}, 0, CAN_ACTIVATE|CAN_TINKER|WEAR_WIELD, 0, 2*LB, 80*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "mirror", "mirror",
    "A small silver mirror.",
    "A small silver mirror.",
    C_NON_EQUIPMENT_TREASURE,
    MIRROR, 1, 0, E_MIRROR, 0, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    MAY_HAVE_COMPARTMENT|CAN_TINKER, 0, 1*LB, 10*AU, DIFFICULT, DIFFICULT, 0,
    0, 0, 40, 5, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "mortal remains", "mortal remains",
    "Some mortal remains.",
    "Some mortal remains.",
    C_MORTAL_REMAINS, MORTAL_REMAINS, 1, 20, 20, NONE, 0, -10, 0, 0, {{-1, 0},
    {-1, 0}}, {-1, -1}, 0, CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE, 0,
    100*LB, 5*AU, DIFFICULT, 0, 0, 0, 0, 1000, 0, 0, 0, 0, 0, 0, 0, 
    I_ALWAYS_NORMAL_QUALITY, NULL},

    { "strange contraption", "music box", "A strange contraption.",
    "A box with clockwork gears inside, which, when wound up, plays a musical \
tune.",
    C_DEVICE, MUSIC_BOX, 1, 0, 0, E_MUSIC_BOX, 0, -10, 0, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, CAN_ACTIVATE|CAN_TINKER|MAY_HAVE_COMPARTMENT, 0, 1*LB, 25*AU,
    VERY_DIFFICULT, DIFFICULT, 0, 0, 0, 10, 1, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "oil", "oil", "Some flammable oil.", "Some flammable oil.", C_LIQUID,
    OIL, 1, 1, 1, WARM_ENVIRONMENT, 0, 0, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1},
    0,
    LIQUID|FLAMMABLE|CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB,
    0, 8, 1*SI, MODERATE, DIFFICULT, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, SOME,
    NULL},

    { "other", "other", "other", "other", C_NON_DEVICE_EQUIPMENT, OTHER, 1, 0,
    0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, 0, 0, 1, 1, 0, 0, 0,
    0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "pipe organ", "pipe organ",
    "A large pipe organ, reverberating with rich and majestic sound.",
    "A large pipe organ, reverberating with rich and majestic sound.",
    C_DEVICE, ORGAN, 1, 0, 0, E_MUSIC_ORGAN, 0, -10, 0, 0, {{MUSIC_ORGAN, 0},
    {-1, 0}}, {MUSIC_ORGAN, -1}, 0,
    WEAR_WIELD|CAN_ACTIVATE|MAY_HAVE_COMPARTMENT|CAN_TINKER|NO_DUNGEON,
    PRIMARY_HAND|SECONDARY_HAND, 1000*LB, 1000*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 50000, 1000, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "sheet of paper", "sheet of paper", "A sheet of paper.",
    "A sheet of paper.",
    C_BOOK, PAPER, 1, 0, 0, E_TEXT, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1,
    -1}, 0, CAN_READ|CAN_WRITE_ON, 0, 1, 1*SI, DIFFICULT, 0, 0, 0, 0, 1, 0, 0,
    0, 0, 0, 0, 0, 0, NULL},

    { "pearl", "pearl", "A pearl.", "The pearl of great price.", C_GEM,
    PEARL_OF_GREAT_PRICE, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1,
    -1}, 0, UNIQUE, 0, 1, 1000000L*AU, EXTREMELY_DIFFICULT, 0, 0, 0, 0, 1, 0,
    0, 0, 0, 0, 0, 0, 0, NULL},

    { "pen", "pen",
    "A long, but thin, fountain pen.",
    "A long, but thin, fountain pen.",
    C_DEVICE, PEN, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1,
    -1}, 0, WEAR_WIELD|CAN_TINKER, PRIMARY_HAND, 3*OZ, 2*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, I_CAN_WRITE, NULL},

    { "perfume", "perfume",
    "A fragrant perfume.",
    "A fragrant perfume.",
    C_LIQUID, PERFUME, 1, 1, 1,
    E_PERFUME, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_HERB, 0, 1, 1*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "plate", "plate", "silver plate", "silver plate",
    C_NON_EQUIPMENT_TREASURE, PLATE, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0},
    {-1, 0}}, {-1, -1}, 0, 0, 0, 10*OZ, 20*AU, DIFFICULT, 0, 0, 0, 0, 50, 0,
    0, 0, 0, 0, 0, 0, 0, NULL},

    { "suit of plate armor", "suit of heavy plate armor",
    "A suit of plate armor -- a thick steel shell which makes its wearer well \
nigh \ninvincible.",
    "A suit of plate armor -- a thick steel shell which makes its wearer well \
nigh \ninvincible.",
    C_ARMOR, PLATE_ARMOR_HEAVY, 1, 0, 0,
    E_EQUIP, 0, 0-1, 0, 20, {{COLD_TOLERANCE, 20}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, ARMOR, 100*LB, 100*AU, DIFFICULT, DIFFICULT, 90,
    75, 0, 500, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "suit of plate armor", "suit of light plate armor",
    "A suit of plate armor -- a thick steel shell which makes its wearer well \
nigh \ninvincible.",
    "A suit of plate armor -- a thick steel shell which makes its wearer well \
nigh \ninvincible.  This suit is unusually light, and brings much less \
restriction \nin motion.",
    C_ARMOR, PLATE_ARMOR_LIGHT, 1, 0, 0,
    E_EQUIP, 0, 0-1, 0, 5, {{-1, 0}, {COLD_TOLERANCE, 10}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, ARMOR, 40*LB, 200*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 65, 50, 0, 400, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "opaque liquid", "poison (weak)", "An opaque liquid.",
    "A poison of relatively weak strength.",
    C_LIQUID, POISON_WEAK, 1, 1, 1, E_POISON, 0, 0, 10, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB, 0, 1,
    1*AU, MODERATE, MODERATE, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "opaque liquid", "poison (moderate)", "An opaque liquid.",
    "A poison of moderate strength.",
    C_LIQUID, POISON_MODERATE, 1, 1, 1, E_POISON, 0, 0, 20, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB, 0, 1, 1*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "opaque liquid", "poison (strong)", "An opaque liquid.",
    "A strong poison.",
    C_LIQUID, POISON_STRONG, 1, 1, 1, E_POISON, 0, 0, 30, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB,
    0, 1, 1*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
    0, SOME, NULL},

    { "opaque liquid", "poison (very strong)", "An opaque liquid.",
    "A very strong poison.",
    C_LIQUID, POISON_VERY_STRONG, 1, 1, 1, E_POISON,
    0, 0, 40, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB, 0, 1, 1*AU,
    EXTREMELY_DIFFICULT, EXTREMELY_DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
    SOME, NULL},

    { "opaque liquid", "poison (extremely strong)", "An opaque liquid.",
    "An extremely strong poison.",
    C_LIQUID, POISON_EXTREMELY_STRONG, 1, 1, 1,
    E_POISON, 0, 0, 20, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_CHEM|CAN_HERB, 0, 1, 1*AU,
    LEGENDARILY_DIFFICULT, LEGENDARILY_DIFFICULT, 0, 0, 0, 1, 0, 0, 0, 0, 0,
    0, 0, SOME, NULL},

    { "pouch", "pouch", "A small leather pouch.", "A small leather pouch.",
    C_NON_DEVICE_EQUIPMENT, POUCH, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0},
    {-1, 0}}, {-1, -1}, 0, WEAR_WIELD|CONTAINER|CAN_TINKER|CAN_OPEN, 0, 2*OZ,
    1*SI, MODERATE, DIFFICULT, 0, 0, 0, 12, 10, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "quiver", "quiver",
    "A quiver with which to store arrows.",
    "A quiver with which to store arrows.",
    C_NON_DEVICE_EQUIPMENT, QUIVER,
    1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CONTAINER|CAN_TINKER|WEAR_WIELD, 0, 8*OZ, 3*SI, DIFFICULT, DIFFICULT, 0,
    0, 0, 1000, 1000, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "raft", "raft",
    "A simple raft woven together out of trees and plants.  It'll keep you \
afloat.",
    "A simple raft woven together out of trees and plants.  It'll keep you \
afloat.",
    C_VEHICLE, RAFT, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1,
    0}}, {-1, -1}, 0, WEAR_WIELD|I_VEHICLE|CAN_TINKER|CAN_HERB|I_WATER_ONLY,
    VEHICLE|PRIMARY_HAND|SECONDARY_HAND, 200*LB, 20*AU, DIFFICULT, DIFFICULT,
    0, 0, 0, 10000L, 5000L, 0, 0, 0, 0, 0, 0, I_TRAVEL_WATER, NULL},

    { "rapier", "rapier",
    "A fine, sharp, light, swift sword, which holds a special place in \
\nUrvanovestilli tradition.",
    "A fine, sharp, light, swift sword, which holds a special place in \
\nUrvanovestilli tradition.",
    C_WEAPON, RAPIER, 1, 0, 0,
    E_EQUIP, 3, 5, 0, 0, {{ATTACK_RAPIER, 0}, {FENCING_RAPIER, 0}},
    {ATTACK_RAPIER, FENCING_RAPIER}, 0,
    WEAR_WIELD|CAN_TINKER|MAY_HAVE_COMPARTMENT, PRIMARY_HAND, 1*LB, 15*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 30, 2, 0, 0, 0, 0, 0, 0,
    IM_STABS|IS_WEAPON, NULL},

    { "food ration", "food ration",
    "A ration of food specially prepared for adventurers.",
    "A ration of food specially prepared for adventurers.",
    C_FOOD,
    RATION, 1, 1, 1, E_FOOD, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 2*LB, 2*SI, EASY, 0, 0, 0,
    0, 16, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "relic", "relic", "A holy relic.", "A holy relic.",
    C_NON_EQUIPMENT_TREASURE, RELIC, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, 0, 0, 5*LB, 10000*AU,
    EXTREMELY_DIFFICULT, 0, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "ring", "ring",
    "A ring of intertwined gold and silver.",
    "A ring of intertwined gold and silver.",
    C_NON_EQUIPMENT_TREASURE, RING, 1, 0, 0,
    E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, WEAR_WIELD, 0, 2,
    50*AU, DIFFICULT, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "rope with grappling hook", "rope with grappling hook",
    "A sturdy rope, with a grappling hook at the end.",
    "A sturdy rope, with a grappling hook at the end.",
    C_NON_DEVICE_EQUIPMENT,
    ROPE_GRAPPLING_HOOK, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{CLIMBING, 5}, {-1,
    0}}, {-1, -1}, 0, CAN_TINKER|WEAR_WIELD, PRIMARY_HAND|SECONDARY_HAND,
    10*LB, 10*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 300, 0, 0, 0, 0, 0, 0, 0, 0,
    NULL},

    { "sailboat", "sailboat",
    "A small sailboat, with which to venture forth into the water.",
    "A small sailboat, with which to venture forth into the water.",
    C_VEHICLE, SAILBOAT, 1,
    0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|I_VEHICLE|CAN_TINKER|I_WATER_ONLY|CONTAINER|NO_DUNGEON,
    VEHICLE|PRIMARY_HAND|SECONDARY_HAND, 10000*LB, 10000*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 100000L, 50000L, 0, 0, 0, 0, 0, 0,
    I_TRAVEL_WATER, NULL},

    { "sceptre", "sceptre", "elegant sceptre", "elegant sceptre",
    C_NON_EQUIPMENT_TREASURE, SCEPTRE, 1, 0, 0, E_EQUIP, 0, -10, 0, 0,
    {{ATTACK_MACE, -5}, {FENCING_MACE, -5}}, {ATTACK_MACE, FENCING_MACE}, 0,
    WEAR_WIELD|MAY_HAVE_COMPARTMENT, PRIMARY_HAND, 5*LB, 1000*AU,
    VERY_DIFFICULT, 0, 0, 0, 0, 100, 10, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "scroll", "scroll",
    "An old, crumbling scroll.",
    "An old, crumbling scroll.",
    C_BOOK, SCROLL, 1, 0, 0, E_TEXT,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_READ, 0, 2*LB, 50*AU,
    VERY_DIFFICULT, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "SCUBA", "A strange contraption.",
    "A self-contained underwater breathing apparatus.",
    C_DEVICE, SCUBA, 1, 0, 0,
    BREATHE_UNDERWATER, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|I_VEHICLE, VEHICLE, 50*LB, 350*AU, VERY_DIFFICULT,
    VERY_DIFFICULT, 0, 0, 0, 300, 0, 0, 0, 0, 0, 0, 0, I_TRAVEL_WATER, NULL},

    { "shelves", "shelves",
    "A set of shelves on which to arrange things.",
    "A set of shelves on which to arrange things.",
    C_SHELVES, SHELVES, 1, 0, 0,
    NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CONTAINER|CAN_TINKER,
    0, 40*LB, 20*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 10000, 5000, 0, 0, 0, 0,
    0, 0, 0, NULL},

    { "shield", "large shield",
    "A large and sturdy shield.",
    "A large and sturdy shield.",
    C_ARMOR,
    SHIELD_LARGE, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{DODGE, 15}, {-1, 0}}, {-1,
    -1}, 0, WEAR_WIELD|CAN_TINKER, SECONDARY_HAND, 10*LB, 25*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 500, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "shield", "medium shield",
    "A shield of medium size.",
    "A shield of medium size.",
    C_ARMOR,
    SHIELD_MEDIUM, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{DODGE, 10}, {-1, 0}},
    {-1, -1}, 0, WEAR_WIELD|CAN_TINKER, SECONDARY_HAND, 5*LB, 10*AU,
    DIFFICULT, DIFFICULT, 0, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "shield", "small shield",
    "A shield which is small and light.",
    "A shield which is small and light.",
    C_ARMOR,
    SHIELD_SMALL, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{DODGE, 5}, {-1, 0}}, {-1,
    -1}, 0, WEAR_WIELD|CAN_TINKER, SECONDARY_HAND, 2*LB, 5*AU, MODERATE,
    MODERATE, 0, 0, 0, 75, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "ship", "ship",
    "A large and sturdy ship, built for the ocean.",
    "A large and sturdy ship, built for the ocean.",
    C_VEHICLE, SHIP, 1, 0, 0, E_EQUIP, 0,
    -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER|I_WATER_ONLY|CONTAINER|NO_DUNGEON|I_VEHICLE,
    PRIMARY_HAND|SECONDARY_HAND|VEHICLE, 20000L*LB, 50000L*AU, VERY_DIFFICULT,
    EXTREMELY_DIFFICULT, 0, 0, 0, 200000L, 100000L, 0, 0, 0, 0, 0, 0,
    I_TRAVEL_WATER, NULL},

    { "shortsword", "shortsword",
    "A short, but solid, sword, traditionally used by the Jec.",
    "A short, but solid, sword, traditionally used by the Jec.",
    C_WEAPON,
    SHORTSWORD, 1, 0, 0, E_EQUIP, 3, 5, 0, 0, {{ATTACK_SHORTSWORD, 0},
    {FENCING_SHORTSWORD, 0}}, {ATTACK_SHORTSWORD, FENCING_SHORTSWORD}, 0,
    WEAR_WIELD|CAN_TINKER, PRIMARY_HAND, 2*LB, 10*AU, DIFFICULT, DIFFICULT, 0,
    0, 0, 50, 0, 0, 0, 0, 0, 0, 0, IM_STABS|IM_SLASHES|IS_WEAPON, NULL},

    { "skin", "skin",
    "A skin in which to store water or wine.",
    "A skin in which to store water or wine.",
    C_LIQUID, SKIN, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1},
    0, CONTAINER|HOLD_LIQUID|CAN_OPEN|CAN_TINKER, 0, 8*OZ, 2*AU, DIFFICULT,
    DIFFICULT, 0, 0, 0, 40, 32, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "boots", "soft leather boots",
    "A soft pair of leather boots.",
    "A soft pair of leather boots, designed to give the wearer a very silent \
\nfootfall.",
    C_ARMOR,
    SOFT_BOOTS, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{STEALTH, 10}, {-1, 0}}, {-1,
    -1}, 0, CAN_TINKER|WEAR_WIELD, FEET, 1*LB, 2*AU, DIFFICULT, DIFFICULT, 0,
    0, 0, 70, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "aromatic powder", "spices",
    "An aromatic powder.",
    "A mixture of spices, carefully grown and tended by the Yedidia.",
    C_NON_EQUIPMENT_TREASURE, SPICES, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1, 0},
    {-1, 0}}, {-1, -1}, 0, CAN_HERB, 0, 1, 1*AU, DIFFICULT, DIFFICULT, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "robe", "spider silk robe",
    "A robe.",
    "A robe woven out of the silk of spiders, affording a light and flexible, \
and \nyet incredibly strong, armor.", C_CLOTHING,
    SPIDER_SILK_ROBE, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1,
    -1}, 0, WEAR_WIELD|CAN_TINKER, 0, 5*LB, 10000L*AU, EXTREMELY_DIFFICULT,
    EXTREMELY_DIFFICULT, 90, 55, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "statuette", "statuette",
    "A small marble statuette.",
    "A small marble statuette.",
    C_NON_EQUIPMENT_TREASURE, STATUETTE, 1, 0, 0, NONE, 0, -10, 0, 0, {{-1,
    0}, {-1, 0}}, {-1, -1}, 0, MAY_HAVE_COMPARTMENT, 0, 3*LB, 200*AU,
    DIFFICULT, 0, 0, 0, 0, 100, 20, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange staff", "climbing staff", "A strange staff.",
    "A staff which extends and then has pegs fold out of its sides, to climb \
up.",
    C_DEVICE, STAFF_CLIMB, 1, 0, 0, E_EQUIP, 0,
    -10, 0, 0, {{CLIMBING, 10}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER|WEAR_WIELD,
    PRIMARY_HAND|SECONDARY_HAND, 5*LB, 50*AU, VERY_DIFFICULT, VERY_DIFFICULT,
    0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange staff", "dart launching staff", "A strange staff.",
    "A staff designed to shoot out darts when twisted a certain way.",
    C_DEVICE, STAFF_DART, 1, 20, 20, NONE, 0, 0, 0,
    0, {{ATTACK_CROSSBOW, 0}, {-1, 0}}, {ATTACK_CROSSBOW, -1}, 0,
    CAN_TINKER|EXPENDABLE|WEAR_WIELD, PRIMARY_HAND|SECONDARY_HAND, 5*LB,
    100*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0,
    IM_SHOOTS|IS_WEAPON|I_MISSLE_WEAPON, NULL},

    { "strange staff", "lantern staff", "A strange staff.",
    "A staff which has built into it a powerful lantern.",
    C_DEVICE, STAFF_LANTERN, 1, 50, 50, GIVES_LIGHT, 0,
    -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    FLAMMABLE|CAN_TINKER|CAN_ACTIVATE|CONTAINER|HOLD_LIQUID|WEAR_WIELD,
    SECONDARY_HAND, 5*LB, 50*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 50, 100,
    50, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange staff", "rocket launching staff",
    "A strange staff.",
    "A staff which, when twisted a certain way, will shoot out an explosive \
rocket.",
    C_DEVICE, STAFF_ROCKET, 1, 20, 20, NONE, 0, 0,
    20, 0, {{ATTACK_CROSSBOW, 0}, {-1, 0}}, {ATTACK_CROSSBOW, -1}, 0,
    CAN_TINKER|EXPENDABLE|WEAR_WIELD, PRIMARY_HAND|SECONDARY_HAND, 5*LB,
    300*AU, VERY_DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0,
    IS_WEAPON|IM_SHOOTS_ROCKETS|I_MISSLE_WEAPON, NULL},

    { "stone", "stone", "A stone.", "A stone.", C_WEAPON, STONE, 1, 0, 0,
    E_EQUIP, 0, -5, 0, 0, {{ATTACK_THROW, 0}, {-1, 0}}, {ATTACK_THROW, -1}, 0,
    PRIMARY_HAND, 0, 4*LB, 1*CU, EASY, 0, 0, 0, 0, 100, 0, 0, 0, 0, 0, 0, 0,
    IM_HITS|IS_WEAPON|I_BLUNT_DAMAGE|I_MISSLE_WEAPON|I_ALWAYS_NORMAL_QUALITY,
    NULL},

    { "strange contraption", "hypodermic syringe", "A strange contraption.",
    "A hypodermic syringe, used for injecting adrenaline.", C_DEVICE, SYRINGE,
    1, 0, 0, INJECT, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|CAN_TINKER, 0, 2, 1*AU, VERY_DIFFICULT, DIFFICULT, 0, 0, 0,
    5, 1, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "strange contraption", "submarine", "A strange contraption.",
    "A massive submarine, with which to venture into the deep.",
    C_VEHICLE, SUBMARINE, 1, 0, 0, E_EQUIP, 0, -10, 0, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, WEAR_WIELD|CAN_TINKER|UNIQUE|WATER_ONLY|NO_DUNGEON|I_VEHICLE,
    PRIMARY_HAND|SECONDARY_HAND|VEHICLE, 50000L*LB, 100000L*AU,
    EXTREMELY_DIFFICULT, EXTREMELY_DIFFICULT, 0, 0, 0, 100000L, 50000L, 0, 0,
    0, 0, 0, 0, I_TRAVEL_WATER, NULL},

    { "table", "table",
    "A long wooden table.",
    "A long wooden table.",
    C_TABLE, TABLE, 1, 0, 0, NONE, 0,
    -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0, 40*LB, 20*AU,
    MODERATE, DIFFICULT, 0, 0, 0, 10000, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "brown liquid", "talinor tea", "A brown liquid.",
    "One of several teas provided by Yedidia herbalism.", C_LIQUID,
    TALINOR_TEA, 1, 1, 1, E_TALINOR_TEA, 0, -10, 0, 0, {{-1, 0}, {-1, 0}},
    {-1, -1}, 0, LIQUID|CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE|CAN_HERB,
    0, 8*OZ, 5*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0,
    SOME, NULL},

    { "tapestry", "tapestry",
    "A colorfully woven tapestry.",
    "A colorfully woven tapestry.",
    C_TAPESTRY, TAPESTRY, 1,
    0, 0, NONE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0, CAN_TINKER, 0,
    20*LB, 50*AU, DIFFICULT, VERY_DIFFICULT, 0, 0, 0, 200, 0, 0, 0, 0, 0, 0,
    0, 0, NULL},

    { "kit", "tinderbox", "A kit.",
    "A tinderbox, with which to light a fire.",
    C_DEVICE, TINDERBOX, 1, 0, 0,
    IGNITE, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {0, 0}, 0,
    CAN_ACTIVATE|CAN_TINKER, 0, 1*LB, 1*AU, DIFFICULT, DIFFICULT, 0, 0, 0,
    2*OZ, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "kit", "tool kit", "A kit.",
    "A kit with the various tools which are used in tinkering and repair.",
    C_DEVICE, TOOL_KIT, 1, 0, 0,
    E_EQUIP, 0, -10, 0, 0, {{TINKERING, 0}, {REPAIR, 0}}, {TINKERING, REPAIR},
    0, CAN_TINKER, 0, 2*LB, 20*AU, MODERATE, DIFFICULT, 0, 0, 0, 200, 0, 0, 0,
    0, 0, 0, 0, 0, NULL},

    { "torch", "torch",
    "A crude wooden torch.",
    "A crude wooden torch.",
    C_LIGHT_SOURCE, TORCH, 1, 20, 20,
    GIVES_LIGHT, 5, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER|FLAMMABLE, SECONDARY_HAND, 2*LB, 1*SI, MODERATE,
    MODERATE, 0, 0, 20, 100, 0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "fruit", "fruit",
    "Fresh fruit picked right off a tree.",
    "Fresh fruit picked right off a tree.",
    C_FOOD, TREE_FRUIT, 1, 1, 1, E_FOOD,
    0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 8L*OZ, 1*SI, EASY, 0, 0, 0,
    0, 16, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "two handed sword", "two handed sword",
    "A massive, two-handed sword, capable of piercing even the scales of the \
\nstegosaurus.",
    "A massive, two-handed sword, capable of piercing even the scales of the \
\nstegosaurus.",
    C_WEAPON, TWO_HANDED_SWORD, 1, 0, 0, E_EQUIP, 10, 20, 0, 0,
    {{ATTACK_TWO_HANDED_SWORD, 0}, {FENCING_TWO_HANDED_SWORD, 0}},
    {ATTACK_TWO_HANDED_SWORD, FENCING_TWO_HANDED_SWORD}, 0,
    WEAR_WIELD|CAN_TINKER, PRIMARY_HAND|SECONDARY_HAND, 15*LB, 100*AU,
    VERY_DIFFICULT, DIFFICULT, 0, 0, 0, 50, 0, 0, 0, 0, 0, 0, 0,
    IM_SLASHES|IS_WEAPON, NULL},

    { "watch", "watch",
    "A mechanical watch.",
    "A mechanical watch.",
    C_DEVICE, WATCH, 1, 0, 0,
    TELLS_TIME, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_TINKER|WEAR_WIELD, 0, 5*OZ, 20*AU, DIFFICULT, DIFFICULT, 0, 0, 0, 10,
    0, 0, 0, 0, 0, 0, 0, 0, NULL},

    { "water", "water",
    "Some cool, clear water.",
    "Some cool, clear water.",
    C_LIQUID, WATER, 1, 1, 1,
    QUENCH_THIRST, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 8*OZ, 1*CU, MODERATE, 0, 0, 0, 0,
    8, 0, 0, 0, 0, 0, 0, 0, SOME|I_ALWAYS_NORMAL_QUALITY, NULL},

    { "wine", "wine",
    "A fine wine.",
    "A fine wine.",
    C_LIQUID, WINE, 1, 1, 1,
    ALCOHOL, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    CAN_ACTIVATE|LIQUID|EXPENDABLE|DISAPPEAR_LAST_USE, 0, 1, 1*EL, DIFFICULT,
    0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, SOME, NULL},

    { "thick clothing", "winter clothing",
    "Some thick clothing.",
    "A warm and thick suit of clothes, designed to afford protection in the \
winter.",
    C_CLOTHING, WINTER_CLOTHING, 1, 0, 0, E_EQUIP, 0, -10, 0, 0,
    {{COLD_TOLERANCE, 40 /* eventually, maybe more */}, {-1, 0}}, {-1, -1}, 0,
    WEAR_WIELD|CAN_TINKER, 0, 10*LB, 45*AU, DIFFICULT, DIFFICULT, 0, 0, 0,
    400, 0, 0, 0, 0, 0, 0, 0, SOME, NULL}

/*  { "nonid", "id", "noniddesc", "iddesc",
    '#', IDENTITY, 1, 0, 0, 0, 0, -10, 0, 0, {{-1, 0}, {-1, 0}}, {-1, -1}, 0,
    FLAGS, SLOTS, WEIGHT, VALUE, ACQ_DIFF, CDCE_DIFF, 0, 0, 0, SIZE, 0, 0, 0,
    0, 0, 0, 0, 0,
    NULL},*/

    };
