/**********************************************************************/
/* The Minstrel's Song is (c) 1998 by Jonathan Hayward.  See the file */
/* lib/copyrigh.txt for a copyright and license statement.            */
/**********************************************************************/

#include "tms.h"
#include <math.h>

long is_hungry(struct small_creature *c)
    {
    if (!(c->extended == NULL))
	return (status_check(c, STATUS_HUNGRY) > 0);
    else
	return 0;
    }

long is_thirsty(struct small_creature *c)
    {
    if (!(c->extended == NULL))
	return (status_check(c, STATUS_THIRSTY) > 0);
    else
	return 0;
    }

void add_random_creature(struct level *l, long encounter_type)
    {
    long x, y;
    struct small_creature *new_creature;
    x = trandom() % MAX_X;
    y = trandom() % MAX_Y;
    while ((flag_check(l->space[x][y].flags, OCCUPIED)) ||
	(!(flag_check(l->space[x][y].flags, CAN_OCCUPY))))
	{
	x = trandom() % MAX_X;
	y = trandom() % MAX_Y;
	}
    new_creature = make_random_creature(encounter_type);
    flag_set(&new_creature->flags, INACTIVE);
    no_hostile_add_creature(l, new_creature, x, y);
    check_addition(l, new_creature->identity, x, y);
    }

void swap_places(struct small_creature *c1, struct small_creature *c2)
    {
    long x, y;
    if ((c1 != NULL) && (c2 != NULL))
	{
	x = c1->x;
	y = c1->y;
	c1->x = c2->x;
	c1->y = c2->y;
	c2->x = x;
	c2->y = y;
	correct_xy();
	}
    }

void find_string(long string_id, char *result)
    {
    switch(string_id)
	{
	case ST_DEFAULT:
	    strcpy(result,
	      "Error.  Default value inappropriately sent to find_string.");
	break;
	case ST_EMPTY:
	    strcpy(result, "");
	break;
	case ST_A_BARE_ROOM:
	    strcpy(result, "a bare room");
	break;
	case ST_A_BED:
	    strcpy(result, "a bed");
	break;
	case ST_A_BEDROOM:
	    strcpy(result, "a bedroom");
	break;
	case ST_A_BOLOGNA_SANDWICH:
	    strcpy(result, "a bologna sandwich");
	break;
	case ST_A_BRONZE_STATUE_IN_A_NATIVITY_SCENE:
	    strcpy(result, "a bronze statue in a Nativity scene");
	break;
	case ST_A_BUILDING:
	    strcpy(result, "a building");
	break;
	case ST_A_BUILDING_WOVEN_OUT_OF_LIVING_TREES:
	    strcpy(result, "a building woven out of living trees");
	break;
	case ST_A_CABINET:
	    strcpy(result, "a cabinet");
	break;
	case ST_A_CATHEDRAL:
	    strcpy(result, "a cathedral");
	break;
	case ST_A_CHAIR:
	    strcpy(result, "a chair");
	break;
	case ST_A_CHEMICAL_LABORATORY:
	    strcpy(result, "a chemical laboratory");
	break;
	case ST_A_CLOAKROOM:
	    strcpy(result, "a cloakroom");
	break;
	case ST_A_CLOSED_DOOR:
	    strcpy(result, "a closed door");
	break;
	case ST_A_CLOSET:
	    strcpy(result, "a closet");
	break;
	case ST_A_COCONUT:
	    strcpy(result, "a coconut");
	break;
	case ST_A_COLLECTION_BOX:
	    strcpy(result, "a collection box");
	break;
	case ST_A_CRYPT:
	    strcpy(result, "a crypt");
	break;
	case ST_A_CUCUMBER:
	    strcpy(result, "a cucumber");
	break;
	case ST_A_DEN:
	    strcpy(result, "a den");
	break;
	case ST_A_DENSE_FOREST:
	    strcpy(result, "a dense forest");
	break;
	case ST_A_DEVICE_LABORATORY:
	    strcpy(result, "a device laboratory");
	break;
	case ST_A_DIAS:
	    strcpy(result, "a dias");
	break;
	case ST_A_DOORWAY_OF_HANGING_VINES:
	    strcpy(result, "a doorway of hanging vines");
	break;
	case ST_A_DUNGEON_DEEP_IN_THE_BOWELS_OF_THE_EARTH:
	    strcpy(result, "a dungeon, deep in the bowels of the earth");
	break;
	case ST_A_FIRE:
	    strcpy(result, "a fire");
	break;
	case ST_A_FOUNTAIN:
	    strcpy(result, "a fountain");
	break;
	case ST_A_GARDEN:
	    strcpy(result, "a garden");
	break;
	case ST_A_GREAT_HALL:
	    strcpy(result, "a great hall");
	break;
	case ST_A_HALLWAY:
	    strcpy(result, "a hallway");
	break;
	case ST_A_HEDGE:
	    strcpy(result, "a hedge");
	break;
	case ST_A_JEC_TOWN:
	    strcpy(result, "a Jec town");
	break;
	case ST_A_KITCHEN:
	    strcpy(result, "a kitchen");
	break;
	case ST_A_LABYRINTH:
	    strcpy(result, "a labyrinth");
	break;
	case ST_A_LARGE_AND_WELL_WORN_BOOK:
	    strcpy(result, "a large and well-worn book");
	break;
	case ST_A_LIBRARY:
	    strcpy(result, "a library");
	break;
	case ST_A_LITTLE_OF_THIS_A_LITTLE_OF_THAT:
	    strcpy(result, "A little of this, a little of that");
	break;
	case ST_A_MANGO:
	    strcpy(result, "a mango");
	break;
	case ST_A_MECHANICAL_ROOM:
	    strcpy(result, "a mechanical room");
	break;
	case ST_A_MUSIC_ROOM:
	    strcpy(result, "a music room");
	break;
	case ST_A_MYSTERIOUS_DUNGEON:
	    strcpy(result, "a mysterious dungeon");
	break;
	case ST_A_NECTARINE:
	    strcpy(result, "a nectarine");
	break;
	case ST_A_PARLOR:
	    strcpy(result, "a parlor");
	break;
	case ST_A_PARTRIDGE:
	    strcpy(result, "a partridge");
	break;
	case ST_A_PEACEFUL_FOREST:
	    strcpy(result, "a peaceful forest");
	break;
	case ST_A_PEACH:
	    strcpy(result, "a peach");
	break;
	case ST_A_PEAR:
	    strcpy(result, "a pear");
	break;
	case ST_A_PEW:
	    strcpy(result, "a pew");
	break;
	case ST_A_PILE_OF_RUBBLE:
	    strcpy(result, "a pile of rubble");
	break;
	case ST_A_PIT:
	    strcpy(result, "a pit");
	break;
	case ST_A_POOL_OF_WATER:
	    strcpy(result, "a pool of water");
	break;
	case ST_A_REUBEN:
	    strcpy(result, "a reuben");
	break;
	case ST_A_ROCKY_PEAK:
	    strcpy(result, "a rocky peak");
	break;
	case ST_A_ROOM_WITH_A_DIAS:
	    strcpy(result, "a room with a dias");
	break;
	case ST_A_ROOM_WITH_MURALS:
	    strcpy(result, "a room with murals");
	break;
	case ST_A_SHAL_VILLAGE:
	    strcpy(result, "a Shal village");
	break;
	case ST_A_SMALL_ISLAND_IN_THE_OCEAN:
	    strcpy(result, "a small island in the Ocean");
	break;
	case ST_A_STAINED_GLASS_WINDOW:
	    strcpy(result, "a stained glass window");
	break;
	case ST_A_STAIRWELL_LEADING_DOWN:
	    strcpy(result, "a stairwell leading down");
	break;
	case ST_A_STAIRWELL_LEADING_UP:
	    strcpy(result, "a stairwell leading up");
	break;
	case ST_A_STATUE:
	    strcpy(result, "a statue");
	break;
	case ST_A_STONE_WALL:
	    strcpy(result, "a stone wall");
	break;
	case ST_A_STOREROOM:
	    strcpy(result, "a storeroom");
	break;
	case ST_A_STREAM:
	    strcpy(result, "a stream");
	break;
	case ST_A_SYSTEM_OF_CAVERNS:
	    strcpy(result, "a system of caverns");
	break;
	case ST_A_TABLE:
	    strcpy(result, "a table");
	break;
	case ST_A_TABLE_OF_PRAYER_CANDLES:
	    strcpy(result, "a table of prayer candles");
	break;
	case ST_A_TANGERINE:
	    strcpy(result, "a tangerine");
	break;
	case ST_A_TAVERN:
	    strcpy(result, "a tavern");
	break;
	case ST_A_TORCH:
	    strcpy(result, "a torch");
	break;
	case ST_A_TREASURY:
	    strcpy(result, "a treasury");
	break;
	case ST_A_TUNA_MELT:
	    strcpy(result, "a tuna melt");
	break;
	case ST_A_TWISTY_PASSAGEWAY:
	    strcpy(result, "a twisty passageway");
	break;
	case ST_A_VAST_MANSION:
	    strcpy(result, "a vast mansion");
	break;
	case ST_A_VERDANT_FOREST:
	    strcpy(result, "a verdant forest");
	break;
	case ST_A_WINDOW:
	    strcpy(result, "a window");
	break;
	case ST_A_WOODEN_WALL:
	    strcpy(result, "a wooden wall");
	break;
	case ST_ALE_JEC:
	    strcpy(result, "ale (Jec)");
	break;
	case ST_ALE_SHAL:
	    strcpy(result, "ale (Shal)");
	break;
	case ST_ALE_TUZ:
	    strcpy(result, "ale (Tuz)");
	break;
	case ST_AN_ALTAR:
	    strcpy(result, "an altar");
	break;
	case ST_AN_APPLE:
	    strcpy(result, "an apple");
	break;
	case ST_AN_ARMORY:
	    strcpy(result, "an armory");
	break;
	case ST_AN_ART_GALLERY:
	    strcpy(result, "an art gallery");
	break;
	case ST_AN_ART_STUDIO:
	    strcpy(result, "an art studio");
	break;
	case ST_AN_OPEN_DOOR:
	    strcpy(result, "an open door");
	break;
	case ST_AN_ORANGE:
	    strcpy(result, "an orange");
	break;
	case ST_AN_URVANOVESTILLI_CITY:
	    strcpy(result, "an Urvanovestilli city");
	break;
	case ST_ANKLE_BRACELET:
	    strcpy(result, "ankle bracelet");
	break;
	case ST_ANTIPASTA:
	    strcpy(result, "antipasta");
	break;
	case ST_APPLE:
	    strcpy(result, "apple");
	break;
	case ST_APPLE_CIDER_SHAL:
	    strcpy(result, "apple cider (Shal)");
	break;
	case ST_APPLE_CIDER_URVANOVESTILLI:
	    strcpy(result, "apple cider (Urvanovestilli)");
	break;
	case ST_APPLE_CIDER_YEDIDIA:
	    strcpy(result, "apple cider (Yedidia)");
	break;
	case ST_APPLE_JUICE:
	    strcpy(result, "apple juice");
	break;
	case ST_APPLE_WINE_YEDIDIA:
	    strcpy(result, "apple wine (Yedidia)");
	break;
	case ST_ARMOR_FOR_EVERYONE:
	    strcpy(result, "Armor for everyone");
	break;
	case ST_ARMOR_OF_CALIPER_FOR_SERIOUS_ADVENTURERS:
	    strcpy(result, "Armor of caliper for serious adventurers");
	break;
	case ST_BACON:
	    strcpy(result, "bacon");
	break;
	case ST_BEAN_SALAD:
	    strcpy(result, "bean salad");
	break;
	case ST_BEANS:
	    strcpy(result, "beans");
	break;
	case ST_BEAR_CURRY:
	    strcpy(result, "bear curry");
	break;
	case ST_BEAR_JERKY:
	    strcpy(result, "bear jerky");
	break;
	case ST_BEEF_BARLEY_SOUP:
	    strcpy(result, "beef barley soup");
	break;
	case ST_BEEF_BARLEY_STEW:
	    strcpy(result, "beef barley stew");
	break;
	case ST_BEEF_CURRY:
	    strcpy(result, "beef curry");
	break;
	case ST_BEEF_JERKY:
	    strcpy(result, "beef jerky");
	break;
	case ST_BEEF_NOODLE_SOUP:
	    strcpy(result, "beef noodle soup");
	break;
	case ST_BEEF_STEW:
	    strcpy(result, "beef stew");
	break;
	case ST_BERRY_TEA:
	    strcpy(result, "berry tea");
	break;
	case ST_BISCUITS:
	    strcpy(result, "biscuits");
	break;
	case ST_BLUE_CHEESE:
	    strcpy(result, "blue cheese");
	break;
	case ST_BLUE_LEATHER_BOUND_BOOK:
	    strcpy(result, "blue, leatherbound book");
	break;
	case ST_BLUEBERRY_WINE_YEDIDIA:
	    strcpy(result, "blueberry wine (Yedidia)");
	break;
	case ST_BOOK_WITH_RAINBOW_CLOTH_COVER:
	    strcpy(result, "book with rainbow cloth cover");
	break;
	case ST_BOOKS_OF_CALIPER_FOR_SERIOUS_STUDENTS:
	    strcpy(result, "Books of caliper for serious students");
	break;
	case ST_BRAISED_CABBAGE:
	    strcpy(result, "braised cabbage");
	break;
	case ST_BRANDY_URVANOVESTILLI:
	    strcpy(result, "brandy (Urvanovestilli)");
	break;
	case ST_BREAD:
	    strcpy(result, "bread");
	break;
	case ST_BREAD_AND_CHUTNEY:
	    strcpy(result, "bread and chutney");
	break;
	case ST_BREADED_RABBIT:
	    strcpy(result, "breaded rabbit");
	break;
	case ST_CAMEMBERT:
	    strcpy(result, "camembert");
	break;
	case ST_CAPPUCINO_COFFEE:
	    strcpy(result, "cappucino coffee");
	break;
	case ST_CAVIAR:
	    strcpy(result, "caviar");
	break;
	case ST_CHEESE_MEDLEY:
	    strcpy(result, "cheese medley");
	break;
	case ST_CHICKEN:
	    strcpy(result, "chicken");
	break;
	case ST_CHICKEN_CACCIATORE:
	    strcpy(result, "chicken cacciatore");
	break;
	case ST_CHICKEN_GUMBO:
	    strcpy(result, "chicken gumbo");
	break;
	case ST_CHOCOLATE:
	    strcpy(result, "chocolate");
	break;
	case ST_CIOPPINO:
	    strcpy(result, "cioppino");
	break;
	case ST_CIRCLE_OF_FRIENDS:
	    strcpy(result, "Circle of Friends");
	break;
	case ST_CLOCKWORK_DEVICES_OF_CALIPER:
	    strcpy(result, "Clockwork devices of caliper");
	break;
	case ST_COFISA_TEA:
	    strcpy(result, "cofisa tea");
	break;
	case ST_COME_AND_EAT:
	    strcpy(result, "Come and eat.");
	break;
	case ST_COME_ONE_COME_ALL:
	    strcpy(result, "Come one, come all!");
	break;
	case ST_COOL_MOCHA_COFFEE:
	    strcpy(result, "cool mocha coffee");
	break;
	case ST_CORNED_BEEF_AND_CABBAGE:
	    strcpy(result, "corned beef and cabbage");
	break;
	case ST_CRAB:
	    strcpy(result, "crab");
	break;
	case ST_CRAB_SALAD:
	    strcpy(result, "crab salad");
	break;
	case ST_CRAM:
	    strcpy(result, "cram");
	break;
	case ST_CRYONA:
	    strcpy(result, "Cryona");
	break;
	case ST_CURED_APRICOTS:
	    strcpy(result, "cured apricots");
	break;
	case ST_DEEP_SALTY_WATER:
	    strcpy(result, "deep, salty water");
	break;
	case ST_DIAMOND:
	    strcpy(result, "diamond");
	break;
	case ST_DICED_POTATOES:
	    strcpy(result, "diced potatoes");
	break;
	case ST_DRAGON_STEAK:
	    strcpy(result, "dragon steak");
	break;
	case ST_DRIED_BERRIES:
	    strcpy(result, "dried berries");
	break;
	case ST_DRIED_FISH:
	    strcpy(result, "dried fish");
	break;
	case ST_DRIED_PEACHES:
	    strcpy(result, "dried peaches");
	break;
	case ST_EMERALD:
	    strcpy(result, "emerald");
	break;
	case ST_ENTER_IN_SILENCE:
	    strcpy(result, "Enter in silence.");
	break;
	case ST_EQUIPMENT_FOR_ADVENTURERS:
	    strcpy(result, "Equipment for adventurers");
	break;
	case ST_EQUIPMENT_OF_CALIPER_FOR_SERIOUS_ADVENTURERS:
	    strcpy(result, "Equipment of caliper for serious adventurers");
	break;
	case ST_ESCARGOT:
	    strcpy(result, "escargot");
	break;
	case ST_ESPRESSO_COFFEE:
	    strcpy(result, "espresso coffee");
	break;
	case ST_EXTRA_STOUT_TUZ:
	    strcpy(result, "extra stout (Tuz)");
	break;
	case ST_FETTUCCINE_ALFREDO:
	    strcpy(result, "fettucine alfredo");
	break;
	case ST_FIGS:
	    strcpy(result, "figs");
	break;
	case ST_FINELY_CRAFTED_SILVER_RING:
	    strcpy(result, "finely crafted silver ring");
	break;
	case ST_FISH_CURRY:
	    strcpy(result, "fish curry");
	break;
	case ST_FISH_HEAD_CURRY:
	    strcpy(result, "fish head curry");
	break;
	case ST_FLARISTIMMO:
	    strcpy(result, "Flaristimmo");
	break;
	case ST_FRIED_CLAMS:
	    strcpy(result, "fried clams");
	break;
	case ST_FRIED_RICE:
	    strcpy(result, "fried rice");
	break;
	case ST_FRIENDLY_PETS_SOLD_HERE:
	    strcpy(result, "Friendly pets sold here");
	break;
	case ST_FRITTATA:
	    strcpy(result, "frittata");
	break;
	case ST_FRUIT_SALAD:
	    strcpy(result, "fruit salad");
	break;
	case ST_GIN_URVANOVESTILLI:
	    strcpy(result, "gin (Urvanovestilli)");
	break;
	case ST_GINGER_BEER:
	    strcpy(result, "ginger beer");
	break;
	case ST_GOAT_CHEESE:
	    strcpy(result, "goat cheese");
	break;
	case ST_GOAT_CURRY:
	    strcpy(result, "goat curry");
	break;
	case ST_GOAT_KID:
	    strcpy(result, "goat kid");
	break;
	case ST_GOAT_MILK:
	    strcpy(result, "goat milk");
	break;
	case ST_GOLD_RING_WITH_A_LARGE_EMERALD:
	    strcpy(result, "gold ring, with a large emerald");
	break;
	case ST_GOLDEN_BROOCH:
	    strcpy(result, "golden brooch");
	break;
	case ST_GRAPES:
	    strcpy(result, "grapes");
	break;
	case ST_GREEN_WINE_URVANOVESTILLI_MISTRELLI:
	    strcpy(result, "green wine (Urvanovestilli: Mistrelli)");
	break;
	case ST_GROG_TUZ:
	    strcpy(result, "grog (Tuz)");
	break;
	case ST_GUAVA:
	    strcpy(result, "guava");
	break;
	case ST_GUAVA_CIDER_YEDIDIA:
	    strcpy(result, "guava cider (Yedidia)");
	break;
	case ST_GUAVA_PUREE:
	    strcpy(result, "guava puree");
	break;
	case ST_GUAVA_WINE_YEDIDIA:
	    strcpy(result, "guava wine (Yedidia)");
	break;
	case ST_HELSRIANA_TEA:
	    strcpy(result, "helsriana tea");
	break;
	case ST_HELSRIANA_TEA_SPICED:
	    strcpy(result, "helsriana tea (spiced)");
	break;
	case ST_HERBAL_SOUP:
	    strcpy(result, "herbal soup");
	break;
	case ST_HOT_TODDY_URVANOVESTILLI:
	    strcpy(result, "hot toddy (Urvanovestilli)");
	break;
	case ST_HOUSE_RED_WINE:
	    strcpy(result, "house red wine");
	break;
	case ST_HOUSE_WHITE_WINE:
	    strcpy(result, "house white wine");
	break;
	case ST_ILLUMINATED_MANUSCRIPT:
	    strcpy(result, "illuminated manuscript");
	break;
	case ST_IVORY_BRACELET:
	    strcpy(result, "ivory bracelet");
	break;
	case ST_JERKY:
	    strcpy(result, "jerky");
	break;
	case ST_JERKY_CHEESE:
	    strcpy(result, "jerky cheese");
	break;
	case ST_KHOOR_TUZ:
	    strcpy(result, "khoor (Tuz)");
	break;
	case ST_KIWI_JUICE:
	    strcpy(result, "kiwi juice");
	break;
	case ST_KIWI_WINE_YEDIDIA:
	    strcpy(result, "kiwi wine (Yedidia)");
	break;
	case ST_KONSILA_TEA:
	    strcpy(result, "konsila tea");
	break;
	case ST_LAGER_JEC:
	    strcpy(result, "lager (Jec)");
	break;
	case ST_LAGER_URVANOVESTILLI:
	    strcpy(result, "lager (Urvanovestilli)");
	break;
	case ST_LAGER_YEDIDIA:
	    strcpy(result, "lager (Yedidia)");
	break;
	case ST_LAPIS_LAZULI:
	    strcpy(result, "lapis lazuli");
	break;
	case ST_LASAGNA:
	    strcpy(result, "lasagna");
	break;
	case ST_LEATHERBOUND_BIBLE:
	    strcpy(result, "leatherbound Bible");
	break;
	case ST_LEEK_SOUP:
	    strcpy(result, "leek soup");
	break;
	case ST_LEMON_TEA:
	    strcpy(result, "lemon tea");
	break;
	case ST_LEMON_WINE_YEDIDIA:
	    strcpy(result, "lemon wine (Yedidia)");
	break;
	case ST_LENTIL_SOUP:
	    strcpy(result, "lentil soup");
	break;
	case ST_LETTUCE_SALAD:
	    strcpy(result, "lettuce salad");
	break;
	case ST_LISS:
	    strcpy(result, "Liss");
	break;
	case ST_LOBSTER:
	    strcpy(result, "lobster");
	break;
	case ST_MANGO_CURRY:
	    strcpy(result, "mango curry");
	break;
	case ST_MAPLE_SYRUP_WINE_YEDIDIA:
	    strcpy(result, "maple syrup wine (Yedidia)");
	break;
	case ST_MEAD_JEC:
	    strcpy(result, "mead (Jec)");
	break;
	case ST_MEAD_SHAL:
	    strcpy(result, "mead (Shal)");
	break;
	case ST_MEAD_URVANOVESTILLI:
	    strcpy(result, "mead (Urvanovestilli)");
	break;
	case ST_MEAD_YEDIDIA:
	    strcpy(result, "mead (Yedidia)");
	break;
	case ST_MEAT_AND_POTATOES:
	    strcpy(result, "meat and potatoes");
	break;
	case ST_MECHANICAL_EQUIPMENT:
	    strcpy(result, "mechanical equipment");
	break;
	case ST_MEDICAL_HOSPICE_FOR_THE_SICK_AND_WOUNDED:
	    strcpy(result, "Medical hospice for the sick and wounded");
	break;
	case ST_MILK:
	    strcpy(result, "milk");
	break;
	case ST_MINESTRONE:
	    strcpy(result, "minestrone");
	break;
	case ST_MINT_ESPRESSO_COFFEE:
	    strcpy(result, "mint espresso coffee");
	break;
	case ST_MINT_TEA:
	    strcpy(result, "mint tea");
	break;
	case ST_MISCELLANEOUS_EQUIPMENT_FOR_ADVENTURERS:
	    strcpy(result, "Miscellaneous equipment for adventurers");
	break;
	case ST_MOCHA_COFFEE:
	    strcpy(result, "mocha coffee");
	break;
	case ST_MOSTACCIOLI:
	    strcpy(result, "mostaccioli");
	break;
	case ST_MUTTON:
	    strcpy(result, "mutton");
	break;
	case ST_MUTTON_CURRY:
	    strcpy(result, "mutton curry");
	break;
	case ST_NECTARINE_WINE_YEDIDIA:
	    strcpy(result, "nectarine wine (Yedidia)");
	break;
	case ST_NEVER_NEVER_LAND:
	    strcpy(result, "Never, Never Land");
	break;
	case ST_OATMEAL_STOUT_TUZ:
	    strcpy(result, "oatmeal stout (Tuz)");
	break;
	case ST_OLD_ROTTED_TOME:
	    strcpy(result, "old, rotted tome");
	break;
	case ST_ORANGE:
	    strcpy(result, "orange");
	break;
	case ST_ORANGE_JUICE:
	    strcpy(result, "orange juice");
	break;
	case ST_ORANGE_TANGERINE_NECTARINE_SALAD:
	    strcpy(result, "orange-tangerine-nectarine salad");
	break;
	case ST_ORANGE_WINE_YEDIDIA:
	    strcpy(result, "orange wine (Yedidia)");
	break;
	case ST_OUTSIDE_A_JEC_TOWN:
	    strcpy(result, "outside a Jec town");
	break;
	case ST_OUTSIDE_A_PEACEFUL_SHAL_VILLAGE:
	    strcpy(result, "outside a peaceful Shal village");
	break;
	case ST_OUTSIDE_A_POOL_OF_WATER:
	    strcpy(result, "outside a pool of water");
	break;
	case ST_OUTSIDE_A_SMALL_ISLAND:
	    strcpy(result, "outside a small island");
	break;
	case ST_OUTSIDE_A_SMALL_TUZ_VILLAGE:
	    strcpy(result, "outside a small Tuz village");
	break;
	case ST_OUTSIDE_A_YEDIDIA_VILLAGE:
	    strcpy(result, "outside a Yedidia village");
	break;
	case ST_OUTSIDE_AN_URVANOVESTILLI_CITY:
	    strcpy(result, "outside an Urvanovestilli city");
	break;
	case ST_OUTSIDE_THE_MOUTH_OF_A_CAVERN:
	    strcpy(result, "outside the mouth of a cavern");
	break;
	case ST_PAIR_OF_RUBY_EARRINGS:
	    strcpy(result, "pair of ruby earrings");
	break;
	case ST_PEACH:
	    strcpy(result, "peach");
	break;
	case ST_PEACH_PIE:
	    strcpy(result, "peach pie");
	break;
	case ST_PEACH_WINE_YEDIDIA:
	    strcpy(result, "peach wine (Yedidia)");
	break;
	case ST_PEAR:
	    strcpy(result, "pear");
	break;
	case ST_PEAR_CIDER_SHAL:
	    strcpy(result, "pear cider (Shal)");
	break;
	case ST_PEAR_CIDER_URVANOVESTILLI:
	    strcpy(result, "pear cider (Urvanovestilli)");
	break;
	case ST_PEAR_CIDER_YEDIDIA:
	    strcpy(result, "pear cider (Yedidia)");
	break;
	case ST_PEAR_JUICE:
	    strcpy(result, "pear juice");
	break;
	case ST_PEAR_LIQUEUR_URVANOVESTILLI:
	    strcpy(result, "pear liqueur (Urvanovestilli)");
	break;
	case ST_PEAR_WINE_YEDIDIA:
	    strcpy(result, "pear wine (Yedidia)");
	break;
	case ST_PEAR_SAUCE_WITH_RAISINS:
	    strcpy(result, "pear sauce with raisins");
	break;
	case ST_PEARS:
	    strcpy(result, "pears");
	break;
	case ST_PEELED_APPLES:
	    strcpy(result, "peeled apples");
	break;
	case ST_PEPPER_CHEESE:
	    strcpy(result, "pepper cheese");
	break;
	case ST_PINEAPPLE:
	    strcpy(result, "pineapple");
	break;
	case ST_PIPE_ORGAN:
	    strcpy(result, "pipe organ");
	break;
	case ST_PLUM_PIE:
	    strcpy(result, "plum pie");
	break;
	case ST_PLUMS:
	    strcpy(result, "plums");
	break;
	case ST_PORK_SIRLOIN:
	    strcpy(result, "pork sirloin");
	break;
	case ST_PORTER_TUZ:
	    strcpy(result, "porter (Tuz)");
	break;
	case ST_PORTER_URVANOVESTILLI:
	    strcpy(result, "porter (Urvanovestilli)");
	break;
	case ST_PORTER_YEDIDIA:
	    strcpy(result, "porter (Yedidia)");
	break;
	case ST_PORTO_URVANOVESTILLI:
	    strcpy(result, "Porto (Urvanovestilli)");
	break;
	case ST_POTATOES:
	    strcpy(result, "potatoes");
	break;
	case ST_PROVIDING_FINE_HORSES_TO_EVERY_CUSTOMER:
	    strcpy(result, "Providing fine horses to every customer");
	break;
	case ST_RAISINS:
	    strcpy(result, "raisins");
	break;
	case ST_RASPBERRY_WINE_YEDIDIA:
	    strcpy(result, "raspberry wine (Yedidia)");
	break;
	case ST_RAVIOLI:
	    strcpy(result, "ravioli");
	break;
	case ST_RED_WINE:
	    strcpy(result, "red wine");
	break;
	case ST_RED_WINE_JEC_HISH:
	    strcpy(result, "red wine (Jec: Hish)");
	break;
	case ST_RED_WINE_JEC_HOS:
	    strcpy(result, "red wine (Jec: Hos)");
	break;
	case ST_RED_WINE_JEC_KANS:
	    strcpy(result, "red wine (Jec: Kans)");
	break;
	case ST_RED_WINE_JEC_LUT:
	    strcpy(result, "red wine (Jec: Lut)");
	break;
	case ST_RED_WINE_JEC_MILN:
	    strcpy(result, "red wine (Jec: Miln)");
	break;
	case ST_RED_WINE_JEC_NUV:
	    strcpy(result, "red wine (Jec: Nuv)");
	break;
	case ST_RED_WINE_JEC_TOL:
	    strcpy(result, "red wine (Jec: Tol)");
	break;
	case ST_RED_WINE_JEC_VERN:
	    strcpy(result, "red wine (Jec: Vern");
	break;
	case ST_RED_WINE_SHAL_HESRI:
	    strcpy(result, "red wine (Shal: Hesri)");
	break;
	case ST_RED_WINE_SHAL_INGSA:
	    strcpy(result, "red wine (Shal: Ingsa)");
	break;
	case ST_RED_WINE_SHAL_KASSILLA:
	    strcpy(result, "red wine (Shal: Kassilla)");
	break;
	case ST_RED_WINE_SHAL_LITRI:
	    strcpy(result, "red wine (Shal: Litri)");
	break;
	case ST_RED_WINE_SHAL_MACEP:
	    strcpy(result, "red wine (Shal: Macep)");
	break;
	case ST_RED_WINE_SHAL_NOLDI:
	    strcpy(result, "red wine (Shal: Noldi)");
	break;
	case ST_RED_WINE_SHAL_SALN:
	    strcpy(result, "red wine (Shal: Saln)");
	break;
	case ST_RED_WINE_SHAL_SIF:
	    strcpy(result, "red wine (Shal: Sif)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_CANSOMILTRAMA:
	    strcpy(result, "red wine (Urvanovestilli: Cansomiltrama)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_CAPITELLO:
	    strcpy(result, "red wine (Urvanovestilli: Capitello)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_ELHANNADAN:
	    strcpy(result, "red wine (Urvanovestilli: Elhannadan)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_ELIRE:
	    strcpy(result, "red wine (Urvanovestilli: Elire)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_ELMIRTRA:
	    strcpy(result, "red wine (Urvanovestilli: Elmirtra)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_KILNATRONA:
	    strcpy(result, "red wine (Urvanovestilli: Kilnatrona)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_MISTRELLI:
	    strcpy(result, "red wine (Urvanovestilli: Mistrelli)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_SANDRELLA:
	    strcpy(result, "red wine (Urvanovestilli: Sandrella)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_STANDRILNATRELLA:
	    strcpy(result, "red wine (Urvanovestilli: Standrilnatrella)");
	break;
	case ST_RED_WINE_URVANOVESTILLI_TALMINDATRII:
	    strcpy(result, "red wine (Urvanovestilli: Talmindatrii)");
	break;
	case ST_RED_WINE_YEDIDIA_DOSSE:
	    strcpy(result, "red wine (Yedidia: Dosse)");
	break;
	case ST_RED_WINE_YEDIDIA_EHOLINA:
	    strcpy(result, "red wine (Yedidia: Eholina)");
	break;
	case ST_RED_WINE_YEDIDIA_FILTRI:
	    strcpy(result, "red wine (Yedidia: Filtri)");
	break;
	case ST_RED_WINE_YEDIDIA_FISRATIL:
	    strcpy(result, "red wine (Yedidia: Fisratil)");
	break;
	case ST_RED_WINE_YEDIDIA_FISSK:
	    strcpy(result, "red wine (Yedidia: Fissk)");
	break;
	case ST_RED_WINE_YEDIDIA_SALINA:
	    strcpy(result, "red wine (Yedidia: Salina)");
	break;
	case ST_RED_WINE_YEDIDIA_SANLI:
	    strcpy(result, "red wine (Yedidia: Sanli)");
	break;
	case ST_RED_WINE_YEDIDIA_SILNA:
	    strcpy(result, "red wine (Yedidia: Silna)");
	break;
	case ST_RED_WINE_YEDIDIA_VASLI:
	    strcpy(result, "red wine (Yedidia: Vasli)");
	break;
	case ST_RHOG:
	    strcpy(result, "Rhog");
	break;
	case ST_RICE:
	    strcpy(result, "rice");
	break;
	case ST_RICE_WITH_TOMATOES:
	    strcpy(result, "rice with tomatoes");
	break;
	case ST_ROAST_APPLE:
	    strcpy(result, "roast apple");
	break;
	case ST_ROAST_BOAR:
	    strcpy(result, "roast boar");
	break;
	case ST_ROAST_FISH:
	    strcpy(result, "roast fish");
	break;
	case ST_ROAST_PEANUTS:
	    strcpy(result, "roast peanuts");
	break;
	case ST_ROAST_RABBIT:
	    strcpy(result, "roast rabbit");
	break;
	case ST_ROAST_VENISON:
	    strcpy(result, "roast venison");
	break;
	case ST_ROOT_BEER:
	    strcpy(result, "root beer");
	break;
	case ST_ROSE_WINE_URVANOVESTILLI_ELIRE:
	    strcpy(result, "rose wine (Urvanovestilli: Elire)");
	break;
	case ST_ROSE_WINE_YEDIDIA_DOSSE:
	    strcpy(result, "rose wine (Yedidia: Dosse)");
	break;
	case ST_ROSE_WINE_YEDIDIA_EHOLINA:
	    strcpy(result, "rose wine (Yedidia: Eholina)");
	break;
	case ST_ROSE_WINE_YEDIDIA_FILTRI:
	    strcpy(result, "rose wine (Yedidia: Filtri)");
	break;
	case ST_ROSE_WINE_YEDIDIA_FISRATIL:
	    strcpy(result, "rose wine (Yedidia: Fisratil)");
	break;
	case ST_ROSE_WINE_YEDIDIA_FISSK:
	    strcpy(result, "rose wine (Yedidia: Fissk)");
	break;
	case ST_ROSE_WINE_YEDIDIA_SALINA:
	    strcpy(result, "rose wine (Yedidia: Salina)");
	break;
	case ST_ROSE_WINE_YEDIDIA_SANLI:
	    strcpy(result, "rose wine (Yedidia: Sanli)");
	break;
	case ST_ROSE_WINE_YEDIDIA_SILNA:
	    strcpy(result, "rose wine (Yedidia: Silna)");
	break;
	case ST_ROSE_WINE_YEDIDIA_TIRNA:
	    strcpy(result, "rose wine (Yedidia: Tirna)");
	break;
	case ST_ROSE_WINE_YEDIDIA_VASLI:
	    strcpy(result, "rose wine (Yedidia: Vasli)");
	break;
	case ST_RUBY:
	    strcpy(result, "ruby");
	break;
	case ST_RUM_CAKES:
	    strcpy(result, "rum cakes");
	break;
	case ST_RUM_TUZ:
	    strcpy(result, "rum (Tuz)");
	break;
	case ST_RUM_URVANOVESTILLI:
	    strcpy(result, "rum (Urvanovestilli)");
	break;
	case ST_RYANS_CORNER:
	    strcpy(result, "Ryan's Corner");
	break;
	case ST_RYE_BREAD:
	    strcpy(result, "rye bread");
	break;
	case ST_SALAMI:
	    strcpy(result, "salami");
	break;
	case ST_SHARING_NATURES_SECRETS_FOR_GENERATIONS:
	    strcpy(result, "Sharing nature's secrets for generations");
	break;
	case ST_SHARP_CHEDDAR:
	    strcpy(result, "sharp cheddar");
	break;
	case ST_SHELVES:
	    strcpy(result, "shelves");
	break;
	case ST_SHERRY_URVANOVESTILLI:
	    strcpy(result, "sherry (Urvanovestilli)");
	break;
	case ST_SMALL_BLACK_LEATHER_BOOK:
	    strcpy(result, "small black leather book");
	break;
	case ST_SMALL_JOURNAL:
	    strcpy(result, "small journal");
	break;
	case ST_SMALL_WHITE_BOOK:
	    strcpy(result, "small white book");
	break;
	case ST_SMOKED_BEEF:
	    strcpy(result, "smoked beef");
	break;
	case ST_SMOKED_BEER_TUZ:
	    strcpy(result, "smoked beer (Tuz)");
	break;
	case ST_SOUP:
	    strcpy(result, "soup");
	break;
	case ST_SPAGHETTI:
	    strcpy(result, "spaghetti");
	break;
	case ST_SPICED_RUM_TUZ:
	    strcpy(result, "spiced rum (Tuz)");
	break;
	case ST_SPICED_RUM_URVANOVESTILLI:
	    strcpy(result, "spiced rum (Urvanovestilli)");
	break;
	case ST_SPICED_RUM_YEDIDIA:
	    strcpy(result, "spiced rum (Yedidia)");
	break;
	case ST_SPICED_WINE_SHAL:
	    strcpy(result, "spiced wine (Shal)");
	break;
	case ST_SPICED_WINE_URVANOVESTILLI:
	    strcpy(result, "spiced wine (Urvanovestilli)");
	break;
	case ST_SPICED_WINE_YEDIDIA:
	    strcpy(result, "spiced wine (Yedidia)");
	break;
	case ST_SPLIT_PEA_SOUP:
	    strcpy(result, "split pea soup");
	break;
	case ST_SQUASH:
	    strcpy(result, "squash");
	break;
	case ST_STAR_SAPPHIRE:
	    strcpy(result, "star sapphire");
	break;
	case ST_STEAK_AND_BISCUITS:
	    strcpy(result, "steak and biscuits");
	break;
	case ST_STOUT_TUZ:
	    strcpy(result, "stout (Tuz)");
	break;
	case ST_STRAWBERRIES:
	    strcpy(result, "strawberries");
	break;
	case ST_STRAWBERRY_PIE:
	    strcpy(result, "strawberry pie");
	break;
	case ST_STRAWBERRY_TEA:
	    strcpy(result, "strawberry tea");
	break;
	case ST_STRAWBERRY_WINE_YEDIDIA:
	    strcpy(result, "strawberry wine (Yedidia)");
	break;
	case ST_SUGAR_CANE:
	    strcpy(result, "sugar cane");
	break;
	case ST_SUPPLIES_TO_MEET_YOUR_DAY_TO_DAY_NEEDS:
	    strcpy(result, "Supplies to meet your day-to-day needs");
	break;
	case ST_SYLLII:
	    strcpy(result, "Syllii");
	break;
	case ST_TALINOR_TEA:
	    strcpy(result, "talinor tea");
	break;
	case ST_TEQUILA_TUZ:
	    strcpy(result, "tequila (Tuz)");
	break;
	case ST_TEQUILA_URVANOVESTILLI:
	    strcpy(result, "tequila (Urvanovestilli)");
	break;
	case ST_TEST:
	    strcpy(result, "test");
	break;
	case ST_TEV:
	    strcpy(result, "Tev");
	break;
	case ST_THE_ADVENTURERS_GUILD:
	    strcpy(result, "The Adventurers' Guild");
	break;
	case ST_THE_BEST_IN_RARE_HERBS:
	    strcpy(result, "The best in rare herbs");
	break;
	case ST_THE_BOARS_HEAD:
	    strcpy(result, "The Boar's Head");
	break;
	case ST_THE_BOOK_LOVERS_CORNER:
	    strcpy(result, "The book lover's corner");
	break;
	case ST_THE_COUNTRYSIDE:
	    strcpy(result, "the countryside");
	break;
	case ST_THE_DRAGONS_DEN:
	    strcpy(result, "The Dragon's Den");
	break;
	case ST_THE_EAST_RIDGE_MOUNTAINS:
	    strcpy(result, "the East Ridge Mountains");
	break;
	case ST_THE_FLOOR:
	    strcpy(result, "the floor");
	break;
	case ST_THE_FOG_VALLEY:
	    strcpy(result, "the Fog Valley");
	break;
	case ST_THE_FROZEN_GROUND:
	    strcpy(result, "the frozen ground");
	break;
	case ST_THE_GRIFFIN:
	    strcpy(result, "The Griffin");
	break;
	case ST_THE_GROUND:
	    strcpy(result, "the ground");
	break;
	case ST_THE_ICE_PEAKS:
	    strcpy(result, "the Ice Peaks");
	break;
	case ST_THE_JEC_TOWN_HISH:
	    strcpy(result, "the Jec town Hish");
	break;
	case ST_THE_JEC_TOWN_HOS:
	    strcpy(result, "the Jec town Hos");
	break;
	case ST_THE_JEC_TOWN_KANS:
	    strcpy(result, "the Jec town Kans");
	break;
	case ST_THE_JEC_TOWN_LUT:
	    strcpy(result, "the Jec town Lut");
	break;
	case ST_THE_JEC_TOWN_MILN:
	    strcpy(result, "the Jec town Miln");
	break;
	case ST_THE_JEC_TOWN_NUV:
	    strcpy(result, "the Jec town Nuv");
	break;
	case ST_THE_JEC_TOWN_TOL:
	    strcpy(result, "the Jec town Tol");
	break;
	case ST_THE_JEC_TOWN_VERN:
	    strcpy(result, "the Jec town Vern");
	break;
	case ST_THE_KINGS_COURT:
	    strcpy(result, "The King's Court");
	break;
	case ST_THE_LION_TAMERS_DEN:
	    strcpy(result, "The Lion Tamer's Den");
	break;
	case ST_THE_LIONHEART:
	    strcpy(result, "The Lionheart");
	break;
	case ST_THE_MAPMAKERS_SHOP:
	    strcpy(result, "The Mapmaker's Shop");
	break;
	case ST_THE_MIDDLE_PLAINS:
	    strcpy(result, "the Middle Plains");
	break;
	case ST_THE_MOONLIT_PATH:
	    strcpy(result, "The Moonlit Path");
	break;
	case ST_THE_NORTHERN_WASTES:
	    strcpy(result, "the Northern Wastes");
	break;
	case ST_THE_OCEAN:
	    strcpy(result, "the Ocean");
	break;
	case ST_THE_SAILORS_CRAG:
	    strcpy(result, "The Sailor's Crag");
	break;
	case ST_THE_SANDY_GROUND:
	    strcpy(result, "the sandy ground");
	break;
	case ST_THE_SHAL_VILLAGE_HESRI:
	    strcpy(result, "the Shal village Hesri");
	break;
	case ST_THE_SHAL_VILLAGE_INGSA:
	    strcpy(result, "the Shal village Ingsa");
	break;
	case ST_THE_SHAL_VILLAGE_KASSILLA:
	    strcpy(result, "the Shal village Kassilla");
	break;
	case ST_THE_SHAL_VILLAGE_LITRI:
	    strcpy(result, "the Shal village Litri");
	break;
	case ST_THE_SHAL_VILLAGE_MACEP:
	    strcpy(result, "the Shal village Macep");
	break;
	case ST_THE_SHAL_VILLAGE_NOLDI:
	    strcpy(result, "the Shal village Noldi");
	break;
	case ST_THE_SHAL_VILLAGE_SALN:
	    strcpy(result, "the Shal village Saln");
	break;
	case ST_THE_SHAL_VILLAGE_SIF:
	    strcpy(result, "the Shal village Sif");
	break;
	case ST_THE_SILVER_RING:
	    strcpy(result, "The Silver Ring");
	break;
	case ST_THE_SILVERFISH:
	    strcpy(result, "The Silverfish");
	break;
	case ST_THE_TINKERERS_GUILD:
	    strcpy(result, "The Tinkerer's Guild");
	break;
	case ST_THE_TOMB_OF_A_SAINT:
	    strcpy(result, "the tomb of a saint");
	break;
	case ST_THE_TUZ_VILLAGE_DOZ:
	    strcpy(result, "the Tuz village Doz");
	break;
	case ST_THE_TUZ_VILLAGE_GHIRTON:
	    strcpy(result, "the Tuz village Ghirton");
	break;
	case ST_THE_TUZ_VILLAGE_GORF:
	    strcpy(result, "the Tuz village Gorf");
	break;
	case ST_THE_TUZ_VILLAGE_KANDRHI:
	    strcpy(result, "the Tuz village Kandrhi");
	break;
	case ST_THE_TUZ_VILLAGE_KORG:
	    strcpy(result, "the Tuz village Korg");
	break;
	case ST_THE_TUZ_VILLAGE_KUNDER:
	    strcpy(result, "the Tuz village Kunder");
	break;
	case ST_THE_TUZ_VILLAGE_LUZZ:
	    strcpy(result, "the Tuz village Luzz");
	break;
	case ST_THE_TUZ_VILLAGE_RASTI:
	    strcpy(result, "the Tuz village Rasti");
	break;
	case ST_THE_TUZ_VILLAGE_RHALLTIR:
	    strcpy(result, "the Tuz village Rhalltir");
	break;
	case ST_THE_TUZ_VILLAGE_RHAV:
	    strcpy(result, "the Tuz village Rhav");
	break;
	case ST_THE_TUZ_VILLAGE_STORNGE:
	    strcpy(result, "the Tuz village Stornge");
	break;
	case ST_THE_TUZ_VILLAGE_TUZZNIR:
	    strcpy(result, "the Tuz village Tuzznir");
	break;
	case ST_THE_TUZ_VILLAGE_WAZ:
	    strcpy(result, "the Tuz village Waz");
	break;
	case ST_THE_TUZ_VILLAGE_ZOLK:
	    strcpy(result, "the Tuz village Zolk");
	break;
	case ST_THE_TUZ_VILLAGE_ZUT:
	    strcpy(result, "the Tuz village Zut");
	break;
	case ST_THE_TUZ_VILLAGE_BORD:
	    strcpy(result, "the Tuz village Bord");
	break;
	case ST_THE_URVANOVESTILLI_CITY_CANSOMILTRAMA:
	    strcpy(result, "the Urvanovestilli city Cansomiltrama");
	break;
	case ST_THE_URVANOVESTILLI_CITY_CAPITELLO:
	    strcpy(result, "the Urvanovestilli city Capitello");
	break;
	case ST_THE_URVANOVESTILLI_CITY_ELHANNADAN:
	    strcpy(result, "the Urvanovestilli city Elhannadan");
	break;
	case ST_THE_URVANOVESTILLI_CITY_ELIRE:
	    strcpy(result, "the Urvanovestilli city Elire\'");
	break;
	case ST_THE_URVANOVESTILLI_CITY_ELMIRTRA:
	    strcpy(result, "the Urvanovestilli city Elmirtra");
	break;
	case ST_THE_URVANOVESTILLI_CITY_KILNATRONA:
	    strcpy(result, "the Urvanovestilli city Kilnatrona");
	break;
	case ST_THE_URVANOVESTILLI_CITY_MISTRELLI:
	    strcpy(result, "the Urvanovestilli city Mistrelli");
	break;
	case ST_THE_URVANOVESTILLI_CITY_SANDRELLA:
	    strcpy(result, "the Urvanovestilli city Sandrella");
	break;
	case ST_THE_URVANOVESTILLI_CITY_STANDRILNATRELLA:
	    strcpy(result, "the Urvanovestilli city Standrilnatrella");
	break;
	case ST_THE_URVANOVESTILLI_CITY_TALMIRNATRII:
	    strcpy(result, "the Urvanovestilli city Talmirnatrii");
	break;
	case ST_THE_YEDIDIA_VILLAGE_DOSSE:
	    strcpy(result, "the Yedidia village Dosse");
	break;
	case ST_THE_YEDIDIA_VILLAGE_EHOLINA:
	    strcpy(result, "the Yedidia village Eholina");
	break;
	case ST_THE_YEDIDIA_VILLAGE_FILTRI:
	    strcpy(result, "the Yedidia village Filtri");
	break;
	case ST_THE_YEDIDIA_VILLAGE_FISRATIL:
	    strcpy(result, "the Yedidia village Fisratil");
	break;
	case ST_THE_YEDIDIA_VILLAGE_FISSK:
	    strcpy(result, "the Yedidia village Fissk");
	break;
	case ST_THE_YEDIDIA_VILLAGE_SALINA:
	    strcpy(result, "the Yedidia village Salina");
	break;
	case ST_THE_YEDIDIA_VILLAGE_SANLI:
	    strcpy(result, "the Yedidia village Sanli");
	break;
	case ST_THE_YEDIDIA_VILLAGE_SILNA:
	    strcpy(result, "the Yedidia village Silna");
	break;
	case ST_THE_YEDIDIA_VILLAGE_TIRNA:
	    strcpy(result, "the Yedidia village Tirna");
	break;
	case ST_THE_YEDIDIA_VILLAGE_VASLI:
	    strcpy(result, "the Yedidia village Vasli");
	break;
	case ST_THIN_BOOK_WITH_A_DECORATED_SPINE:
	    strcpy(result, "thin book with a decorated spine");
	break;
	case ST_TIGERS_EYE:
	    strcpy(result, "tiger's eye");
	break;
	case ST_TISANE_TEA:
	    strcpy(result, "tisane tea");
	break;
	case ST_TUNA_STEAK:
	    strcpy(result, "tuna steak");
	break;
	case ST_TUZ_COFFEE:
	    strcpy(result, "Tuz coffee");
	break;
	case ST_UNDERNEATH_A_TREE:
	    strcpy(result, "underneath a tree");
	break;
	case ST_VEGETABLE_STEW:
	    strcpy(result, "vegetable stew");
	break;
	case ST_VENISON:
	    strcpy(result, "venison");
	break;
	case ST_VENISON_JERKY:
	    strcpy(result, "venison jerky");
	break;
	case ST_WASSAIL_JEC:
	    strcpy(result, "wassail (Jec)");
	break;
	case ST_WASSAIL_SHAL:
	    strcpy(result, "wassail (Shal)");
	break;
	case ST_WASSAIL_TUZ:
	    strcpy(result, "wassail (Tuz)");
	break;
	case ST_WASSAIL_URVANOVESTILLI:
	    strcpy(result, "wassail (Urvanovestilli)");
	break;
	case ST_WASSAIL_YEDIDIA:
	    strcpy(result, "wassail (Yedidia)");
	break;
	case ST_WATER:
	    strcpy(result, "water");
	break;
	case ST_WE_HELP_MAKE_A_HOUSE_A_HOME:
	    strcpy(result, "We help make a house a home");
	break;
	case ST_WE_LOCATE_RARE_AND_HARD_TO_FIND_ITEMS:
	    strcpy(result, "We locate rare and hard-to-find items");
	break;
	case ST_WEAPONS_FOR_THE_COMMON_MAN:
	    strcpy(result, "Weapons for the common man");
	break;
	case ST_WEAPONS_OF_CALIPER_FOR_SERIOUS_ADVENTURERS:
	    strcpy(result, "Weapons of caliper for serious adventurers");
	break;
	case ST_WHEAT_BREAD:
	    strcpy(result, "wheat bread");
	break;
	case ST_WHISKEY_JEC:
	    strcpy(result, "whiskey (Jec)");
	break;
	case ST_WHISKEY_URVANOVESTILLI:
	    strcpy(result, "whiskey (Urvanovestilli)");
	break;
	case ST_WHITE_WINE:
	    strcpy(result, "white wine");
	break;
	case ST_WHITE_WINE_SHAL_HESRI:
	    strcpy(result, "white wine (Shal: Hesri)");
	break;
	case ST_WHITE_WINE_SHAL_INGSA:
	    strcpy(result, "white wine (Shal: Ingsa)");
	break;
	case ST_WHITE_WINE_SHAL_KASSILLA:
	    strcpy(result, "white wine (Shal: Kassilla)");
	break;
	case ST_WHITE_WINE_SHAL_LITRI:
	    strcpy(result, "white wine (Shal: Litri)");
	break;
	case ST_WHITE_WINE_SHAL_MACEP:
	    strcpy(result, "white wine (Shal: Macep)");
	break;
	case ST_WHITE_WINE_SHAL_NOLDI:
	    strcpy(result, "white wine (Shal: Noldi)");
	break;
	case ST_WHITE_WINE_SHAL_SALN:
	    strcpy(result, "white wine (Shal: Saln)");
	break;
	case ST_WHITE_WINE_SHAL_SIF:
	    strcpy(result, "white wine (Shal: Sif)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_CANSOMILTRAMA:
	    strcpy(result, "white wine (Urvanovestilli: Cansomiltrama)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_CAPITELLO:
	    strcpy(result, "white wine (Urvanovestilli: Capitello)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_ELHANNADAN:
	    strcpy(result, "white wine (Urvanovestilli: Elhannadan)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_ELIRE:
	    strcpy(result, "white wine (Urvanovestilli: Elire)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_ELMIRTRA:
	    strcpy(result, "white wine (Urvanovestilli: Elmirtra)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_KILNATRONA:
	    strcpy(result, "white wine (Urvanovestilli: Kilnatrona)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_MISTRELLI:
	    strcpy(result, "white wine (Urvanovestilli: Mistrelli)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_SANDRELLA:
	    strcpy(result, "white wine (Urvanovestilli: Sandrella)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_STANDRILNATRELLA:
	    strcpy(result, "white wine (Urvanovestilli: Standilnatrella)");
	break;
	case ST_WHITE_WINE_URVANOVESTILLI_TALMIRNATRII:
	    strcpy(result, "white wine (Urvanovestilli: Talmirnatrii)");
	break;
	case ST_WHITE_WINE_YEDIDIA_DOSSE:
	    strcpy(result, "white wine (Yedidia: Dosse)");
	break;
	case ST_WHITE_WINE_YEDIDIA_EHOLINA:
	    strcpy(result, "white wine (Yedidia: Eholina)");
	break;
	case ST_WHITE_WINE_YEDIDIA_FILTRI:
	    strcpy(result, "white wine (Yedidia: Filtri)");
	break;
	case ST_WHITE_WINE_YEDIDIA_FISRATIL:
	    strcpy(result, "white wine (Yedidia: Fisratil)");
	break;
	case ST_WHITE_WINE_YEDIDIA_FISSK:
	    strcpy(result, "white wine (Yedidia: Fissk)");
	break;
	case ST_WHITE_WINE_YEDIDIA_SALINA:
	    strcpy(result, "white wine (Yedidia: Salina)");
	break;
	case ST_WHITE_WINE_YEDIDIA_SANLI:
	    strcpy(result, "white wine (Yedidia: Sanli)");
	break;
	case ST_WHITE_WINE_YEDIDIA_SILNA:
	    strcpy(result, "white wine (Yedidia: Silna)");
	break;
	case ST_WHITE_WINE_YEDIDIA_TIRNA:
	    strcpy(result, "white wine (Yedidia: Tirna)");
	break;
	case ST_WHITE_WINE_YEDIDIA_VASLI:
	    strcpy(result, "white wine (Yedidia: Vasli)");
	break;
	case ST_YAMS:
	    strcpy(result, "yams");
	break;
	case ST_YE_OLDE_JEWELLERS_SHOPPE:
	    strcpy(result, "Ye olde jeweller's shoppe");
	break;
	case ST_YONA_TEA:
	    strcpy(result, "yona tea");
	break;
	case ST_YOU_ASCEND_FROM_A_CRYPT:
	    strcpy(result, "You ascend from a crypt.");
	break;
	case ST_YOU_DESCEND_INTO_A_CRYPT:
	    strcpy(result, "You descend into a crypt.");
	break;
	case ST_YOU_ENTER_A_CATHEDRAL:
	    strcpy(result, "You enter a cathedral.");
	break;
	case ST_YOU_ENTER_A_TAVERN:
	    strcpy(result, "You enter a tavern.");
	break;
	case ST_YOU_LEAVE_A_CATHEDRAL:
	    strcpy(result, "You leave a cathedral.");
	break;
	case ST_YOU_LEAVE_A_JEC_TOWN:
	    strcpy(result, "You leave a Jec town.");
	break;
	case ST_YOU_LEAVE_A_SHAL_VILLAGE:
	    strcpy(result, "You leave a Shal village.");
	break;
	case ST_YOU_LEAVE_A_TAVERN:
	    strcpy(result, "You leave a tavern.");
	break;
	case ST_YOU_LEAVE_A_TUZ_VILLAGE:
	    strcpy(result, "You leave a Tuz village.");
	break;
	case ST_YOU_LEAVE_A_YEDIDIA_VILLAGE:
	    strcpy(result, "You leave a Yedidia village.");
	break;
	case ST_YOU_LEAVE_AN_URVANOVESTILLI_CITY:
	    strcpy(result, "You leave an Urvanovestilli city.");
	break;
	case ST_YOU_LEAVE_THE_COUNTRYSIDE:
	    strcpy(result, "You leave the countryside.");
	break;
	case ST_YOU_RETURN_TO_THE_COUNTRYSIDE:
	    strcpy(result, "You return to the countryside.");
	break;
	case ST_YOU_WALK_INTO_A_JEC_TOWN:
	    strcpy(result, "You walk into a Jec town.");
	break;
	case ST_YOU_WALK_INTO_A_SHAL_VILLAGE:
	    strcpy(result, "You walk into a Shal village.");
	break;
	case ST_YOU_WALK_INTO_A_TUZ_VILLAGE:
	    strcpy(result, "You walk into a Tuz village.");
	break;
	case ST_YOU_WALK_INTO_A_YEDIDIA_VILLAGE:
	    strcpy(result, "You walk into a Yedidia village.");
	break;
	case ST_YOU_WALK_INTO_AN_URVANOVESTILLI_CITY:
	    strcpy(result, "You walk into an Urvanovestilli city.");
	break;
	case ST_YOUR_SOURCE_FOR_CLOCKWORK_DEVICES:
	    strcpy(result, "Your source for clockwork devices");
	break;
	default:
	    sprintf(result, "Error.  Out of range value %ld given to find_string.", string_id);
	break;
	}
    }

/* Make creature c1 hostile to creature c2.  */

void make_hostile(struct small_creature *c1, struct small_creature *c2)
    {
    wake_up(c1);
    flag_set(&c1->flags, RUNNING);
    /* If a creature becomes hostile, it obviously stops following.  */
    reset_follow(c1, c2);
    append_creature_to_clist(c2, &c1->hostile);
    flag_reset(&c1->flags, INACTIVE);
    }

long is_on_level(struct small_creature *c, struct level *l)
    {
    struct clist *traverse;
    if (!(l->creatures == NULL))
	for(traverse = l->creatures; (!(traverse == NULL)); traverse =
	  traverse->next)
	    if (c == traverse->current)
		return 1;
    return 0;
    }

void make_follow(struct small_creature *c1, struct small_creature *c2)
    {
    flag_reset(&c1->flags, INACTIVE);
    reset_follow(c1, c2);
    if (c1->follow != NULL)
	{
	free_clist(c1->follow);
	c1->follow = NULL;
	}
    append_creature_to_clist(c2, &c1->follow);
    append_creature_to_clist(c1, &c2->followed_by);
    }

/* If more than one of a creature is usually found, make an appropriate pack */
/* of creatures.  */

void check_addition(struct level *l, long creature_id, long x, long y)
    {
    long i, j;
    struct small_creature *this_creature;
    struct clist *cl, *local_master, *traverse1, *traverse2;
    local_master = 0;
    i = x;
    j = y;
    if (master_creatures[creature_id].number > 0)
	{
	if (l->space[x][y].creatures != NULL)
	    {
	    cl = (struct clist *) calloc(1, sizeof(struct clist));
#ifdef DEBUG
	    cl->me = cl;
#endif
	    cl->current = l->space[x][y].creatures->current;
	    cl->next = NULL;
	    local_master = cl;
	    }
	else
	    {
	    cl = NULL;
	    local_master = NULL;
	    }
	while ((trandom() % (master_creatures[creature_id].number) > 0) &&
	    (i >= 0) && (j >= 0) && (i < MAX_X) && (j < MAX_Y))
	    {
	    switch(trandom()%4)
		{
		case 0: ++i; break;
		case 1: --i; break;
		case 2: ++j; break;
		case 3: --j; break;
		}
	    if ((flag_check(l->space[i][j].flags, AVAILABLE)) &&
		(flag_check(l->space[i][j].flags, CAN_OCCUPY)))
		{
		this_creature = make_random_creature(creature_id);
		no_hostile_add_creature(l, this_creature, i, j);
		flag_set(&this_creature->flags, INACTIVE);
		cl = (struct clist *) calloc(1, sizeof(struct clist));
#ifdef DEBUG
		cl->me = cl;
#endif
		cl->current = this_creature;
		cl->next = local_master;
		local_master = cl;
		}
	    }
	if (local_master != NULL)
	    for(traverse1 = local_master; (!(traverse1 == NULL)); traverse1 =
	      traverse1->next)
		for(traverse2 = local_master; (!(traverse2 == NULL)); traverse2
		  = traverse2->next)
		    make_follow(traverse1->current, traverse2->current);
	}
    free_clist(local_master);
    }

void pass_time(long time_units)
    {
    long i;
    for(i=0;i<time_units/MINUTE;++i)
	{
	game_variables->elapsed_units += MINUTE;
	one_minute_check();
	if (((game_variables->elapsed_units / MINUTE) % 60) == 0)
	    update_window();
	}
    }

void mist_circle(struct level *l, long x, long y, long radius)
    {
    long i, j;
    for(i=max(0, x - radius); i < min(MAX_X, x + radius + 1); ++i)
	for(j=max(0, y - radius); j < min(MAX_Y, y + radius + 1); ++j)
	    if (((x - i) * (x - i) + (y - j) * (y - j)) <= (radius * radius))
		flag_set(&l->space[i][j].flags, S_CLOAKED_BY_MIST);
    }

void status_add(struct small_creature *c, long status, long increment)
    {
    if (!(c->extended == NULL))
	{
	c->extended->stati->time[status] += adjustment_info[status].
	  time_increment * increment;
	if (flag_check(adjustment_info[status].flags, HAS_MAXIMUM))
	    c->extended->stati->time[status] = min(
	      c->extended->stati->time[status],
	      adjustment_info[status].time_increment *
	      adjustment_info[status].max);
	if (flag_check(adjustment_info[status].flags, HAS_MINIMUM))
	    c->extended->stati->time[status] = max(
	      c->extended->stati->time[status],
	      adjustment_info[status].time_increment *
	      adjustment_info[status].min);
	calc_ready(c);
	}
    if ((c == player) && (increment > 0))
	status_message(c, status);
    }

void add_permanent_status(struct small_creature *c, long status, long
  increment)
    {
    if (c->extended != NULL)
	{
	c->extended->stati->permanent[status] += increment;
	calc_ready(c);
	}
    }

void correct_xy(void)
    {
    long i, j;
    struct clist *traverse;
    for(i=0;i<MAX_X;++i)
	for(j=0;j<MAX_Y;++j)
	    if (current_level->space[i][j].creatures != NULL)
		{
		free_clist(current_level->space[i][j].creatures);
		current_level->space[i][j].creatures = NULL;
		flag_reset(&current_level->space[i][j].flags, OCCUPIED);
		}
    for(traverse = current_level->creatures; (!(traverse == NULL)); traverse =
      traverse->next)
	{
	append_creature_to_clist(traverse->current, &current_level->space
	  [traverse->current->x][traverse->current->y].creatures);
	flag_set(&current_level->space[traverse->current->x]
	  [traverse->current->y].flags, OCCUPIED);
	}
    }

void find_title(struct small_creature *c, char *title)
    {
    if (!(c->name == NULL))
	strcpy(title, c->name->text);
    else if (!(c->extended == NULL))
	strcpy(title, c->extended->title);
    else if ((is_following(c, player)) && (!(flag_check(c->flags, HUMAN))))
	sprintf(title, "your %s", master_creatures[c->identity].species);
    else
	sprintf(title, "the %s", master_creatures[c->identity].species);
    }

/* Destroys the item and returns a list of items that came from it.  Another
function should check if a creature succeeds in cleaning, and should extract
the item.  */

struct ilist *clean(struct small_item *i)
    {
    char item_name[256];
    struct ilist *result;
    struct small_item *curr_item;
    if (i != NULL)
	{
	if (i->identity == MORTAL_REMAINS)
	    {
	    if (flag_check(master_creatures[i->other].flags, HUMAN))
		{
		pmsg("That is a person's corpse, not an animal's carcass.");
		result = (struct ilist *) calloc(1, sizeof(struct ilist));
#ifdef DEBUG
		result->me = result;
#endif
		result->current = i;
		result->next = NULL;
		}
	    else if (flag_check(i->flags2, NO_CLEAN))
		{
		pmsg("That item has already been cleaned.");
		result = (struct ilist *) calloc(1, sizeof(struct ilist));
#ifdef DEBUG
		result->me = result;
#endif
		result->current = i;
		result->next = NULL;
		}
	    else
		{
		pmsg("You clean it...");
		result = (struct ilist *) calloc(1, sizeof(struct ilist));
#ifdef DEBUG
		result->me = result;
#endif
		result->current = generate_item(current_level, FOOD);
		result->current->weight = i->weight/2; /* No skeleton, etc.  */
		result->current->uses = i->uses;
		result->current->value = i->value * 2;
		  /* Cleaned meat is more valuable.  */
		result->current->flags = i->flags;
		result->current->flags2 = i->flags2;
		flag_set(&result->current->flags2, SOME);
		switch(master_creatures[i->identity].meat_type)
		    {
		    case MEAT_DEAD:
			sprintf(item_name, "dead %s",
			  master_creatures[i->other].species);
			flag_reset(&result->current->flags2, SOME);
		    break;
		    case MEAT_FILLET:
			sprintf(item_name, "%s fillet",
			  master_creatures[i->other].species);
			flag_reset(&result->current->flags2, SOME);
		    break;
		    case MEAT_JERKY:
			sprintf(item_name, "%s jerky",
			  master_creatures[i->other].species);
		    break;
		    case MEAT_MEAT:
			sprintf(item_name, "%s meat",
			  master_creatures[i->other].species);
		    break;
		    case MEAT_NAME_ALONE:
			sprintf(item_name, "%s",
			  master_creatures[i->other].species);
		    break;
		    case MEAT_NONE:
			pmsg("You couldn't get an appreciable amount of meat out of it.");
			free_items(result);
			result = NULL;
		    break;
		    case MEAT_ROAST:
			sprintf(item_name, "roast %s",
			  master_creatures[i->other].species);
		    break;
		    case MEAT_STEAK:
			sprintf(item_name, "%s steak",
			  master_creatures[i->other].species);
		    break;
		    case MEAT_VENISON:
			sprintf(item_name, "venison");
		    break;
		    }
		if (!(result == NULL))
		    {
		    name_item(result->current, item_name);
		    result->next = NULL;
		    }
		switch(i->other) /* What kind of creature it was */
		    {
		    case BEAR:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "bear skin rug");
			curr_item->weight = 20L*LB;
			curr_item->value = 200L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case BOAR:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "boar's hide");
			curr_item->weight = 2L*LB;
			curr_item->value = 25L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case BULETTE:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "bulette's hide");
			curr_item->weight = 50L*LB;
			curr_item->value = 800L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case CARIBOU:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "caribou's antler");
			curr_item->number = 2;
			curr_item->weight = 5L*LB;
			curr_item->value = 50L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case COBRA:
			curr_item = generate_item(current_level, POISON_STRONG);
			add_item(&result, curr_item);
		    break;
		    case CROCODILE:
			curr_item = (struct small_item *) calloc(1,
			  sizeof(struct small_item));
#ifdef DEBUG
			curr_item->me = curr_item;
#endif
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "crocodile's hide");
			curr_item->weight = 10L*LB;
			curr_item->value = 100L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case DEER:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "antler");
			curr_item->number = 2;
			curr_item->weight = 2L*LB;
			curr_item->value = 35L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "deer's hide");
			curr_item->weight = 2L*LB;
			curr_item->value = 25L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case DRAGON:
			curr_item = generate_item(current_level, FOOD);
			name_item(curr_item, "dragon's heart");
			curr_item->weight = 50L*LB;
			curr_item->uses = 25;
			curr_item->value = 2000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "dragon's scales");
			curr_item->weight = 200L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case ELEPHANT:
			curr_item = (struct small_item *) calloc(1,
			  sizeof(struct small_item));
#ifdef DEBUG
			curr_item->me = curr_item;
#endif
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "elephant's hide");
			curr_item->weight = 50L*LB;
			curr_item->value = 200L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "elephant's tusks");
			curr_item->weight = 50L*LB;
			curr_item->value = 500L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case GIANT_SCORPION:
			curr_item = generate_item(current_level, POISON_VERY_STRONG);
			curr_item->uses *= random_adjust(5);
			curr_item->weight *= curr_item->uses;
			curr_item->value *= curr_item->uses;
			add_item(&result, curr_item);
		    break;
		    case GIANT_VIPER:
			curr_item = generate_item(current_level, POISON_EXTREMELY_STRONG);
			curr_item->uses *= random_adjust(100);
			curr_item->weight *= curr_item->uses;
			curr_item->value *= curr_item->uses;
			add_item(&result, curr_item);
		    break;
		    case GIANT_WASP:
			curr_item = generate_item(current_level, POISON_MODERATE);
			curr_item->uses *= random_adjust(2);
			curr_item->weight *= curr_item->uses;
			add_item(&result, curr_item);
		    break;
		    case GRYPHON:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "gryphon's claws");
			curr_item->weight = 8L*OZ;
			curr_item->value = 20L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case JEWEL_SERPENT:
			curr_item = generate_item(current_level,
			MORTAL_REMAINS);
			name_item(curr_item, "serpent's jewel");
			curr_item->weight = 8L*OZ;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			flag_set(&game_variables->quests_completed,
			  SERPENT_JEWEL);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, POISON_VERY_STRONG);
			curr_item->uses *= random_adjust(5);
			curr_item->weight *= curr_item->uses;
			curr_item->value *= curr_item->uses;
			add_item(&result, curr_item);
		    break;
		    case LEVIATHAN:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "Leviathan's scale");
			curr_item->weight = 5L*LB;
			curr_item->value = 2000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case MAMMOTH:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "mammoth's pelt");
			curr_item->weight = 200L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "mammoth's tusks");
			curr_item->weight = 50L*LB;
			curr_item->value = 500L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case MASTODON:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "mastodon's pelt");
			curr_item->weight = 200L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "mastodon's tusks");
			curr_item->weight = 50L*LB;
			curr_item->value = 500L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case PANTHER:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "panther's pelt");
			curr_item->weight = 5L*LB;
			curr_item->value = 500L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case POISON_QUILLED_PORCUPINE:
			curr_item = generate_item(current_level, POISON_WEAK);
			curr_item->uses *= random_adjust(50);
			curr_item->weight *= curr_item->uses;
			curr_item->value *= curr_item->uses;
			add_item(&result, curr_item);
		    break;
		    case RABBIT:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "rabbit's pelt");
			curr_item->weight = 3L*OZ;
			curr_item->value = 1L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case RAM:
			curr_item = generate_item(current_level, HORN);
			name_item(curr_item, "ram's horn");
			curr_item->number = 2;
			curr_item->weight *= curr_item->number;
			curr_item->value *= curr_item->number;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "ram's hide");
			curr_item->weight = 2L*LB;
			curr_item->value = 35L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case RHINOCEROS:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "rhinoceros's horns");
			curr_item->weight = 5L*LB;
			curr_item->value = 500L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case SCORPION:
			curr_item = generate_item(current_level, POISON_WEAK);
			add_item(&result, curr_item);
		    break;
		    case SHARK:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "shark's hide");
			curr_item->weight = 20L*LB;
			curr_item->value = 350L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case STEGOSAURUS:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "stegosaurus's hide");
			curr_item->weight = 200L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case STINGING_INSECT:
			curr_item = generate_item(current_level, POISON_WEAK);
			add_item(&result, curr_item);
		    break;
		    case STONESHELL:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "stone shell");
			curr_item->weight = 300L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case TRICERATOPS:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "triceratops's hide");
			curr_item->weight = 100L*LB;
			curr_item->value = 1000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "triceratops's horns");
			curr_item->weight = 10L*LB;
			curr_item->value = 200L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case TURTLE:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "turtle's shell");
			curr_item->weight = 50L*LB;
			curr_item->value = 50L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case TYRANNOSAURUS_REX:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "tyrannosaurus rex's hide");
			curr_item->weight = 200L*LB;
			curr_item->value = 5000L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "tyrannosaurus rex's claws");
			curr_item->weight = LB;
			curr_item->value = 50L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case WALRUS:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "walrus's tusks");
			curr_item->weight = 10L*LB;
			curr_item->value = 200L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			flag_set(&curr_item->flags, SOME);
			add_item(&result, curr_item);
		    break;
		    case WOLF:
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "wolf's pelt");
			curr_item->weight = 2L*LB;
			curr_item->value = 35L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    case WYVERN:
			curr_item = generate_item(current_level, POISON_STRONG);
			curr_item->uses *= random_adjust(5);
			curr_item->weight *= curr_item->uses;
			curr_item->value *= curr_item->uses;
			add_item(&result, curr_item);
			curr_item = generate_item(current_level, MORTAL_REMAINS);
			name_item(curr_item, "wyvern's head");
			curr_item->weight = 10L*LB;
			curr_item->value = 200L*AU;
			flag_set(&curr_item->flags, NO_CLEAN);
			add_item(&result, curr_item);
		    break;
		    }
		free_item(i);
		}
	    return result;
	    }
	else
	    {
	    pmsg("You can't clean that.");
	    result = (struct ilist *) calloc(1, sizeof(struct ilist));
#ifdef DEBUG
	    result->me = result;
#endif
	    result->current = i;
	    result->next = NULL;
	    return result;
	    }
	}
    else
	return NULL;
    }

void name_item(struct small_item *i, char *name)
    {
    if (!(i->tname == NULL))
	free_text_struct(i->tname);
    i->tname = (struct text_struct *) calloc(1, sizeof(struct text_struct));
#ifdef DEBUG
    i->tname->me = i->tname;
#endif
    strcpy(i->tname->text, name);
    i->tname->next = NULL;
    }

void add_item(struct ilist **il, struct small_item *i)
    {
    struct ilist *cltemp, *traverse;
    cltemp = (struct ilist *) calloc(1, sizeof(struct ilist));
#ifdef DEBUG
    cltemp->me = cltemp;
#endif
    cltemp->current = i;
    cltemp->next = NULL;
    if (*il == NULL)
	*il = cltemp;
    else
	{
	traverse = *il;
	while (!(traverse->next == NULL))
	    traverse = traverse->next;
	traverse->next = cltemp;
	}
    }

long ask_question_internal(char *question, long yes_val, long no_val)
    {
    char resp;
    fs_pmsg(question);
    for(resp = tgetc(); ((resp != 'y') && (resp != 'Y') && (resp != 'n') &&
      (resp != 'N'));resp = tgetc());
    if ((resp == 'y') || (resp == 'Y'))
	return yes_val;
    else
	return no_val;
    }

long ask_value(char *question, long average, long min_val, long max_val)
    {
    char input[256];
    long answer;
    pmsg(question);
    tgets(input);
    sscanf(input, "%ld", &answer);
    if (answer < min_val)
	{
	printw("I think that that sounds a little low.\n");
	answer = min_val;
	}
    else if (answer > max_val)
	{
	printw("Even if it's true, I don't believe it.\n");
	answer = max_val;
	}
    refresh();
    return (long) (log(((double) answer)/((double) average))/(log(2.0)/5.0));
    }

long ask_question(char *question, long yes_val, long no_val, long
  attribute)
    {
    long result;
    result = ask_question_internal(question, yes_val, no_val);
    player->extended->attributes[attribute] += result;
    if (result == yes_val)
	return TRUE;
    else
	return FALSE;
    }
